--[[

Copyright (c) 2011-2015 chukong-incc.com

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

]]

requires "src/cocos/cocos2d/Cocos2d.lua"
requires "src/cocos/cocos2d/Cocos2dConstants.lua"
requires "src/cocos/cocos2d/functions.lua"

__G__TRACKBACK__ = function(msg)
    local msg = debug.traceback(msg, 3)
    print(msg)
    return msg
end

-- opengl
requires "src/cocos/cocos2d/Opengl.lua"
requires "src/cocos/cocos2d/OpenglConstants.lua"
-- audio
requires "src/cocos/cocosdenshion/AudioEngine.lua"
-- cocosstudio
if nil ~= ccs then
    requires "src/cocos/cocostudio/CocoStudio.lua"
end
-- ui
if nil ~= ccui then
    requires "src/cocos/ui/GuiConstants.lua"
    requires "src/cocos/ui/experimentalUIConstants.lua"
end

-- extensions
requires "src/cocos/extension/ExtensionConstants.lua"
-- network
requires "src/cocos/network/NetworkConstants.lua"
-- Spine
if nil ~= sp then
    requires "src/cocos/spine/SpineConstants.lua"
end

requires "src/cocos/cocos2d/deprecated.lua"
requires "src/cocos/cocos2d/DrawPrimitives.lua"

-- Lua extensions
requires "src/cocos/cocos2d/bitExtend.lua"

-- CCLuaEngine
requires "src/cocos/cocos2d/DeprecatedCocos2dClass.lua"
requires "src/cocos/cocos2d/DeprecatedCocos2dEnum.lua"
requires "src/cocos/cocos2d/DeprecatedCocos2dFunc.lua"
requires "src/cocos/cocos2d/DeprecatedOpenglEnum.lua"

-- register_cocostudio_module
if nil ~= ccs then
    requires "src/cocos/cocostudio/DeprecatedCocoStudioClass.lua"
end


-- register_cocosbuilder_module
requires "src/cocos/cocosbuilder/DeprecatedCocosBuilderClass.lua"

-- register_cocosdenshion_module
requires "src/cocos/cocosdenshion/DeprecatedCocosDenshionClass.lua"
requires "src/cocos/cocosdenshion/DeprecatedCocosDenshionFunc.lua"

-- register_extension_module
requires "src/cocos/extension/DeprecatedExtensionClass.lua"
requires "src/cocos/extension/DeprecatedExtensionEnum.lua"
requires "src/cocos/extension/DeprecatedExtensionFunc.lua"

-- register_network_module
requires "src/cocos/network/DeprecatedNetworkClass.lua"
requires "src/cocos/network/DeprecatedNetworkEnum.lua"
requires "src/cocos/network/DeprecatedNetworkFunc.lua"

-- register_ui_moudle
if nil ~= ccui then
    requires "src/cocos/ui/DeprecatedUIEnum.lua"
    requires "src/cocos/ui/DeprecatedUIFunc.lua"
end

-- cocosbuilder
requires "src/cocos/cocosbuilder/CCBReaderLoad.lua"

-- physics3d
requires "src/cocos/physics3d/physics3d-constants.lua"

if CC_USE_FRAMEWORK then
    requires "src/cocos/framework/init.lua"
end
