--  Created by wangming on 17-03-17.
local huangzhong = class("huangzhong", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function huangzhong:create(params)
	return huangzhong.new(params)
end

function huangzhong:getSkillHurtCount(skillType)
	local count = 1
	if skillType == 2 then
		count = 4
	elseif skillType == 3 then
		count = 9
	end
	return count
end

function huangzhong:showDefenseEffect(params)
	local skillType = params.skillType
	local hero 		= params.hero
	hero:playAction(BATTLE_ANIMATION_ACTION.DEFENSE)
end

function huangzhong:getAttackPoint(skillType, targetHero)
	local rect 			= BATTLE_BONE_NAME.RECT_ATK
	local _x = 0
	if skillType == 1 then --1.普通攻击
		_x = -50
    elseif skillType == 2 then --2.小技能 
        rect 			= BATTLE_BONE_NAME.RECT_ATK0
    elseif skillType == 3 then--3.士气技能 大招
        rect 			= BATTLE_BONE_NAME.RECT_SUPER
        _x = self:getSide() == BATTLE_SIDE.RIGHT and 0 or 40
    elseif skillType == 4 then
        --4.合体技
    end
    local runningScene 		= cc.Director:getInstance():getRunningScene()
	local y 				= targetHero:getPositionY()
	local denfenser_point 	= targetHero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
	if skillType == 3 then
		local _position = targetHero:getBattlePosition()
		if inArray(_position, {1,4,7}) then
			_position = 4
		elseif inArray(_position, {2,5, 8}) then
			_position = 5
		else
			_position = 6
		end
    	y = zc.battle.getInitialMatrixPoint({side = targetHero:getSide(), position = _position}).y
	end
	-- dump(denfenser_point,"denfenser_point")
	local attackerMidBox	= self:getBoneBoundingBoxByName(rect)
	local x 				= denfenser_point.x - attackerMidBox.width / 2
	if self:getSide() == BATTLE_SIDE.RIGHT then
		x 					= denfenser_point.x + attackerMidBox.width / 2
		_x = -_x
	end
	local pos 				= cc.p(x + _x, y)
	return pos
end

return huangzhong




