--  Created by zhangchao on 16-03-29.
--[[大招就一下]]
local xlms2 = class("xlms2", function ( params )
	print("--------xlms2")
	local hero = BattleHero.new(params)
	return hero
end)

function xlms2:create(params)
	return xlms2.new(params)
end

function xlms2:shouldMoveAttack(atkName)
	local ret = false
	return ret
end

function xlms2:getAtkNameBySkillType(skillType)
	local ret = nil
	if skillType == 3 then
		ret = "atk3_1"
	end
    return ret
end

function xlms2:doAttack(params)
	local skillType 	= params.skillType
	local process 		= params.process
	local evt     		= params.evt
	local hurtTargets   = params.hurtTargets

	local runningScene 	= cc.Director:getInstance():getRunningScene()
	if skillType == BATTLE_SKILL_TYPE.ATK then
		
		local flag = 0
		local ret = self:isSkillEventAllDone(skillType,evt)
		for k,hero in pairs(hurtTargets) do
			local point  		= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
			do
				local _fileName = "xlms_atk_1"
				local _actName  = "atk"
				local armature = zc.battle.createBattleEffect({fileName = _fileName , actName = _actName , moveCallback = function (armatureBack,movementType,movementID)
	                if movementType == ccs.MovementEventType.complete and (movementID == "atk") then
	                    xpcall(function() armatureBack:removeFromParent() end, function () print("armatureBack已被删除") end)
	                end
	            end})
			    armature:setPosition(point)

			    -- if self:getSide() == BATTLE_SIDE.LEFT then
			    -- 	armature:setScaleX(-1 * armature:getScaleX())
			    -- end
			    

			    local _arrow = armature
				--起始位置
				local _targetSlot    	= point
				--目标位置
				local endPos 			= self:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
				--计算角度
				-- 判定斜率,非弓箭状态
				local deltaY = endPos.y - _targetSlot.y;
				local deltaX = endPos.x - _targetSlot.x;
				local angel = deltaX > 0 and 0 or 180;
				local K = deltaY / deltaX;
				if deltaX ~= 0 then
					_arrow:setRotation(angel-CC_RADIANS_TO_DEGREES(math.atan(K)));
				end
				local _abs_x = math.abs(deltaX)
				_arrow:setScaleX(_abs_x / 480)
				zc.dispatchEvent({
					name = EVENT_NAME_BATTLE_PLAY_EFFECT,
					data = {node = armature, zorder = hero:getLocalZOrder() + 1},
				})
			end
		end
	    self:doHurt(params)
	else
		self:doHurt(params)
	end
end

function xlms2:showDefenseEffect(params)
	local skillType = params.skillType
	local hero 		= params.hero
    
    if skillType == BATTLE_SKILL_TYPE.ATK then
		local runningScene 	= cc.Director:getInstance():getRunningScene()
		local point  		= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
		local armature = zc.battle.createBattleEffect({fileName = "xlms_atk" , actName = "atk"})
	    armature:setPosition(point)
	    zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature , zorder = hero:getLocalZOrder() + 1},
		})
    	hero:playAction(BATTLE_ANIMATION_ACTION.DEFENSE)
    elseif skillType == BATTLE_SKILL_TYPE.SUPER then
    	hero:playAction(BATTLE_ANIMATION_ACTION.DEFENSE)
	else
		self:showCommonDefenseEffect(params)
    end
end

function xlms2:preAttack(params)
	local skillType 	= params.skillType
	local firstTarget   = params.firstTarget
	if skillType == BATTLE_SKILL_TYPE.SUPER and firstTarget then--3.士气技能 大招
	    local armature = zc.battle.createBattleEffect({fileName = "xlms_atk3" , actName = "atk3_1"})
	    armature:setPosition(firstTarget:getPosition())
	    if self:getSide() == BATTLE_SIDE.LEFT then
	    	armature:setScaleX(-1 * armature:getScaleX())
	    end
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature, zorder = self:getLocalZOrder() + 1},
		})
    end
end

return xlms2




