--[[
扫荡
CopysweepPop.lua
1，还差（图标）xxxy个；
2.已获得（图标）xxx个，还差y个；
3.（图标）xxx已足够
]]
local CopysweepPop = class("CopysweepPop",function ()
    return ZCPopLayer:create({opacityValue=150})
end)
local maxSweepNum = 5 
local maxLimitNum = 99999999

--[[
	params.enemyData 	 --当前关卡具体数据
	params.dropInfo  	 --当前关卡掉落物品
    params.tollDb    	 --当前关卡静态数据
    params.dropNeedItem	 --扫荡需要特殊显示的物品
]]

function CopysweepPop:ctor(params)
	self._nationId = tonumber(params.nationId)
	self._enemyData = params.enemyData or {}
	self._dropInfo = params.dropInfo 
    self._tollDb = params.tollDb or {}
    self._dropNeedItem = params.dropNeedItem
	self._getNum = 0--获得的数量

	self._btnTitle = zc.lang("sweep")
	if APP_REVIEW then
		self._btnTitle = zc.lang("challenge")
	end
	
	--如果不传neednum,就是满的  不需要扫荡
	if self._dropNeedItem and self._dropNeedItem.needNum == nil then
		self._dropNeedItem.needNum = 0
	end

	self._old_numLimit = tonumber(self._tollDb.numLimit) or 0
	if self._enemyData.num == nil then 
		self._enemyData.num = 0
	end
	self:initSweepUI()
	self:show()

	if self._nationId == 4 then -- 4 英雄试炼的扫荡
		self:doSweep(1)
	end

end
function CopysweepPop:create(data)
    return CopysweepPop.new(data)
end
function CopysweepPop:onCleanup()
    zc.dispatchEvent({ name = CUSTOM_EVENT.EVENT_REFRESH_FORM_SWEEP })
    ccs.ArmatureDataManager:getInstance():removeArmatureFileInfo( "res/animation/saodang/saodang.csb" )
end
------------------------------------------------------------------------------------------------------------

function CopysweepPop:initSweepUI()

	local _back = zc.createTopBackButton({
		listener = function ()
			self:hide()
		end
	})
	self:addChild(_back, 20)

	self._backbutton = _back

	local bg = nil 
	local _bottomBgSize = cc.size(410, 161)
    if self._dropNeedItem then --有需要扫荡的物品
		bg = zc.createNormalPop({
	        tag = 1,
	        width = 440,
	        height = 444 + 31,
	        bianZOrder = 0,
	        titleSrc = "res/Main/common/tipTitle/saodang.png",
	    })
	    bg:setPosition(zc.width*0.5, zc.height*0.5)
	    _bottomBgSize = cc.size(410, 229)
    else
		bg = zc.createNormalPop({
	        tag = 1,
	        width = 440,
	        height = 444-67 + 31,
	        bianZOrder = 0,
	        titleSrc = "res/Main/common/tipTitle/saodang.png",
	    })
	    bg:setPosition(zc.width*0.5, zc.height*0.5)
	end
	self:addContent(bg)
	self._bg = bg

	local _bgSize = bg:getContentSize()
	self._bgSize = _bgSize
	--创建扫荡按钮
	self:initSweepTimes()

	
	local bgHeight = _bgSize.height

	--
    local _bottomBg = zc.createGeneralPopScale({
        tag = 3,
        width = _bottomBgSize.width,
        height = _bottomBgSize.height,
    })
    _bottomBg:setAnchorPoint(0.5, 0)
    _bottomBg:setPosition(_bgSize.width*0.5, 128)
    bg:addChild(_bottomBg)

    local _attrBg = zc.createGeneralPopScale({
        tag = 2,
        width = 380,
        height = 130,
    })
    _attrBg:setAnchorPoint(0.5, 1)
    _attrBg:setPosition(_bottomBgSize.width*0.5, _bottomBgSize.height - 10)
    _bottomBg:addChild(_attrBg)

	--可能掉落
	local _attrBgSize = _attrBg:getContentSize()
    local drop = zc.getSprite({
        src = "res/Main/chapterMain/tab_2.png",
        pos = cc.p(_attrBgSize.width*0.5, _attrBgSize.height - 20)
    })
    _attrBg:addChild(drop)

    local _titleLabSize = drop:getContentSize()
    local _titleLeftSp = zc.getSprite({
        src = "res/Main/common/lace.png",
        ap = cc.p(1, 0.5),
        pos = cc.p(drop:getPositionX() - _titleLabSize.width*0.5 - 10, drop:getPositionY()),
    })
    _attrBg:addChild(_titleLeftSp)

    local _titleRightSp = zc.getSprite({
        src = "res/Main/common/lace.png",
        ap = cc.p(1, 0.5),
        pos = cc.p(drop:getPositionX() + _titleLabSize.width*0.5 + 10, drop:getPositionY()),
    })
    _titleRightSp:setScaleX(-1)
    _attrBg:addChild(_titleRightSp)

    --掉落奖励
    local _isInFiveLevel = false 
    if tonumber(self._tollDb.level) and 
    	tonumber(self._tollDb.level) <= tonumber(PlayerData.info.level) and 
    	(tonumber(PlayerData.info.level) - (tonumber(self._tollDb.level) or 0)) < 5 then
        _isInFiveLevel = true
    end
    self._dropItems = {}
    if self._nationId ~= 3 then
	    local rewardMap = {}
	    for i = 1, #self._dropInfo do
	        local _data = self._dropInfo[i]
	        local _itemType = tonumber(_data.type)
	        local _itemId = tonumber(_data.id)
	        --主角经验掉落：1、首杀，2、关卡等级小于主角等级 5级之内
	        if _itemType ~= zc.mainTypePlayerExp or (tonumber(self._enemyData.status) == 1 or _isInFiveLevel)then 
		        if not rewardMap[_itemType] then
		        	rewardMap[_itemType] = {}
		        end
		        local typeMap = rewardMap[_itemType]
		        if typeMap[_itemId] then
		        else
		        	local _hasGeneral = false
	        		if _itemType == 2 then --检查是否有武将
	        			_hasGeneral = PlayerData:hasSameGeneral(_itemId)
	        		end
	        		if not _hasGeneral then
			            local idx = #self._dropItems+1
			            self._dropItems[idx] = {}
			            self._dropItems[idx].itemId = _data.id
			            self._dropItems[idx].itemNum = _data.num
			            self._dropItems[idx].rate = _data.rate
			            self._dropItems[idx].itemType = _data.type
			            self._dropItems[idx].type = _data.id

		                self._dropItems[idx].weiget = 0
		                if tonumber(_data.type) == 1 then
		                    self._dropItems[idx].weiget = 10-tonumber(_data.id)
		                elseif tonumber(_data.type) == 2 then --掉落武将
		                    self._dropItems[idx].weiget = 1000000000
		                elseif tonumber(_data.type) == 3 then
		                    self._dropItems[idx].weiget = 1000000+tonumber(_data.id)
		                elseif tonumber(_data.type) == 4 then
		                    self._dropItems[idx].weiget = 1000+tonumber(_data.id)
		                elseif tonumber(_data.type) == 6 then
		                    self._dropItems[idx].weiget = 10+tonumber(_data.id)
	                    elseif tonumber(_data.type) == 9 then--饰品
	                        local itemData = gameData.getDataFromCacheWithPrimaryKey("trinket", _data.id) or {}
	                        local _quality = tonumber(itemData.color) or 0
	                        local _weiget = _quality * 500 + (tonumber(itemData.id) or 0)
		                    self._dropItems[idx].weiget = _weiget
		                end

			        	typeMap[_itemId] = idx
			        end
		        end
	        end
	    end
	    table.sort(self._dropItems, function(a,b)
	        if not a or not b then
	            return false
	        end
	        return a.weiget > b.weiget
	    end)
	else
	    for i = 1, #self._dropInfo do
	        self._dropItems[#self._dropItems + 1] = {
	        	itemType = self._dropInfo[i].type,
	        	itemId = self._dropInfo[i].id,
		    }
	    end
	end
    local dropScrollView = zc.createScrollview({
    	pos = cc.p(0,0),
        size = cc.size(380, 120),
        innerSize = cc.size(90*(#self._dropItems), 120),
        dir = ccui.ScrollViewDir.horizontal,
        bar = false,
        bounceEnable = true,
    })
    _attrBg:addChild(dropScrollView)

	local _bei = PlayerData:checkActivityOpenState(20) and 2 or 1
    for i=1, #self._dropItems do 
    	local itemType = tonumber(self._dropItems[i]["itemType"])
        local _showItem = true
        local _showHero = nil
        if tonumber(itemType) == zc.mainTypeSoldier then
            _showItem = false
            _showHero = function() zc.createHeroInfoPop({heroId = self._dropItems[i]["itemId"], showHero = true}) end
        end
        local _mainType = tonumber(self._dropItems[i]["itemType"]) or 1
        local _bei_ = 1
        if _itemType == zc.mainTypeProp then
            _bei_ = _bei
        end
        local item = zc.createIconByData({
            data = {
                mainType = _mainType,
                type = self._dropItems[i]["itemId"], 
                id = self._dropItems[i]["itemId"],
            }, 
            showBei = _bei_,
            showDetailPop = _showItem,
        	listener = _showHero,
            pos = cc.p((i-1/2)*90, 53), 
            color = 1
        })
        item:setScale(0.68)
        dropScrollView:addChild(item)

        --加特效(目前只有：武将、金色饰品)
        local showEffect = false 
        if itemType == 2 then
        	showEffect = true
        elseif itemType == zc.mainTypeTrinket then
			local trinket = gameData.getDataFromCacheWithPrimaryKey("trinket", self._dropItems[i]["itemId"]) or {}
			if trinket and trinket.color and tonumber(trinket.color) > 4 then
				showEffect = true
			end
        end
        if showEffect then
            local renwu_logo = zc.createSpine({
                fileName = "renwu_logo",
                actName = "animation",
                loop = true,
            })
            renwu_logo:setPosition( cc.p(item:getContentSize().width/2, item:getContentSize().height/2) )
            item:addChild(renwu_logo)
            renwu_logo:setScale(1.5)
        end
    end
    --扫荡需要
    if self._dropNeedItem then
		self:initNeed(_bottomBg, 45, "sweepLayer")--扫荡界面
    end

    --扫荡按钮
    self:initSweepButton(bg, 57, 1)

end

function CopysweepPop:initSweepTimes()

	local leastNum = 0
    local _numLabelStr = zc.lang("now_left_free_times") .. "："
	if self._nationId == 1 then
		local totalNum = tonumber(self._tollDb.numLimit)
		leastNum = totalNum - tonumber(self._enemyData.num)
	elseif self._nationId == 2 then
        local _info = PlayerData:getEliteBuyInfo()
        leastNum = tonumber(_info.challengeTimes)
        _numLabelStr = zc.lang("left_challenge_times") .. "："
    elseif self._nationId == 4 then
    	_numLabelStr = ""
	end

    local costBg = zc.getScaleNode("res/Main/chapterMain/costDi.png", cc.size(200, 32))
    costBg:setAnchorPoint(cc.p(1, 1))
    costBg:setPosition(cc.p(self._bgSize.width - 30, self._bgSize.height - 50))
	self._bg:addChild(costBg)

    local sweeptimes = zc.createLabel({
        text = _numLabelStr,
        fontSize = 20,
        ap = cc.p(0, 0.5),
        pos = cc.p(2, costBg:getContentSize().height/2),
        stroke = false,
        color = cc.c3b(203,183,123)
    })
    costBg:addChild(sweeptimes)
    local sweepnumLab = zc.createLabel({
        text = leastNum < 0 and "0" or leastNum,
        fontSize = 22,
        ap = cc.p(1, 0.5),
        pos = cc.p(costBg:getContentSize().width-2, sweeptimes:getPositionY() ),
        stroke = true,
        color = display.COLOR_WHITE
    })
    costBg:addChild(sweepnumLab)
	
	if self._nationId == 3 then
		costBg:setVisible(false)
	elseif self._nationId == 4 then
		sweepnumLab:setText("")
    end
end
--[[
1，还差（图标）xxxy个；
2.已获得（图标）xxx个，还差y个；
3.（图标）xxx已足够
sweepIng扫荡进行 
sweepLayer扫荡初始界面
]]
function CopysweepPop:initNeed(bg, posy, layertype)
	if self._countFinish == true then 
		--计算结束
		return 
	end

	local scaleSize = cc.size(380, 100)
	-- local needLayer = zc.getScaleNode("res/Main/setting/scale9_1.png", scaleSize)
	local needLayer = zc.createSprite()
	needLayer:setContentSize( scaleSize )
	needLayer:setAnchorPoint(cc.p(0.5, 0.5))
	needLayer:setPosition(cc.p(bg:getContentSize().width/2, posy))
	bg:addChild(needLayer)


    local iconcolor = 1
    local itemDb = PlayerData:getBagDBInfoByID(self._dropNeedItem["itemId"])
    if itemDb then
        iconcolor = itemDb.color
    end
    --缺的情况下
    if tonumber(self._dropNeedItem.needNum) - self._getNum > 0 then 
    	if layertype == "sweepLayer" then 
	    	--还差（图标）xxxy个；
		    local needlabel1 = zc.createLabel({
		        text = zc.lang("haicha"),
		        fontSize = 20,
		        ap = cc.p(0.5, 0.5),
		        pos = cc.p(100, 50),
		        outLine = true,
		        color = display.COLOR_WHITE,
		    })
		    needLayer:addChild(needlabel1)
		    local itemneed = zc.createIconByData({
		        data = {
		            mainType = self._dropNeedItem["mainType"],
		            type = self._dropNeedItem["itemId"], 
		            id = self._dropNeedItem["itemId"],
		        }, 
		        pos = cc.p(needlabel1:getPositionX() + 70, 50), 
		        color = iconcolor
		    })
		    itemneed:setScale(0.5)
		    needLayer:addChild(itemneed)
		    local needlabel2 = zc.createLabel({
		        text = self._dropNeedItem.name,
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(itemneed:getPositionX() + 45, 50),
		        outLine = true,
		        color = zc.getColorType(iconcolor)
		    })
		    needLayer:addChild(needlabel2)
		    local CurNeedNum = tonumber(self._dropNeedItem.needNum) - self._getNum
		    local needlabel3 = zc.createLabel({
		        text = CurNeedNum,
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(needlabel2:getPositionX() + needlabel2:getContentSize().width + 10, 50),
		        outLine = true,
		        color = display.COLOR_RED,
		    })
		    needLayer:addChild(needlabel3)
		    self._needlabel3 = needlabel3
		    local needlabel4 = zc.createLabel({
		        text = zc.lang("individual"),
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(needlabel3:getPositionX() + needlabel3:getContentSize().width  + 10, 50),
		        outLine = true,
		        color = display.COLOR_WHITE,
		    })
		    needLayer:addChild(needlabel4)
		else
			--获得 还缺  2.已获得（图标）xxx个，还差y个；
			local needlabel1 = zc.createLabel({
		        text = zc.lang("have_already_get"),
		        fontSize = 20,
		        ap = cc.p(0.5, 0.5),
		        pos = cc.p(-60, 50),
		        outLine = true,
		        color = display.COLOR_WHITE,
		    })
		    needLayer:addChild(needlabel1)
		    local itemneed = zc.createIconByData({
		        data = {
		            mainType = self._dropNeedItem["mainType"],
		            type = self._dropNeedItem["itemId"], 
		            id = self._dropNeedItem["itemId"],
		        }, 
		        pos = cc.p(needlabel1:getPositionX() + 70, 50), 
		        color = iconcolor
		    })
		    itemneed:setScale(0.5)
		    needLayer:addChild(itemneed)
		    local needlabel2 = zc.createLabel({
		        text = self._dropNeedItem.name,
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(itemneed:getPositionX() + 45, 50),
		        outLine = true,
		        color = zc.getColorType(iconcolor)
		    })
		    needLayer:addChild(needlabel2)
		    local needlabel3 = zc.createLabel({
		        text = self._getNum,
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(needlabel2:getPositionX() + needlabel2:getContentSize().width + 10, 50),
		        outLine = true,
		        color = display.COLOR_RED,
		    })
		    needLayer:addChild(needlabel3)
		    self._needlabel3 = needlabel3
		    local needlabel4 = zc.createLabel({
		        text = zc.lang("individual") .. ",",
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(needlabel3:getPositionX() + needlabel3:getContentSize().width  + 10, 50),
		        outLine = true,
		        color = display.COLOR_WHITE,
		    })
		    needLayer:addChild(needlabel4)
		    local needlabel5 = zc.createLabel({
		        text = zc.lang("haicha") .."      " .. zc.lang("individual"),
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(needlabel4:getPositionX() + needlabel4:getContentSize().width  + 10, 50),
		        outLine = true,
		        color = display.COLOR_WHITE,
		    })
		    needLayer:addChild(needlabel5)
		    local curNeedNum = tonumber(self._dropNeedItem.needNum) - self._getNum
		    local needlabel6 = zc.createLabel({
		        text = curNeedNum,
		        fontSize = 20,
		        ap = cc.p(0.5, 0.5),
		        pos = cc.p(needlabel5:getPositionX() + 55, 50),
		        outLine = true,
		        color = display.COLOR_RED,
		    })
		    needLayer:addChild(needlabel6)
		end
	else
		--足够   3.（图标）xxx已足够
		local itemneed = zc.createIconByData({
	        data = {
	            mainType = self._dropNeedItem["mainType"],
	            type = self._dropNeedItem["itemId"], 
	            id = self._dropNeedItem["itemId"],
	        }, 
	        pos = cc.p(80, 50), 
	        color = iconcolor
	    })
	    itemneed:setScale(0.5)
	    needLayer:addChild(itemneed)
	    local needlabel2 = zc.createLabel({
	        text = self._dropNeedItem.name,
	        fontSize = 20,
	        ap = cc.p(0, 0.5),
	        pos = cc.p(itemneed:getPositionX() + 45, 50),
	        outLine = true,
	        color = zc.getColorType(iconcolor)
	    })
	    needLayer:addChild(needlabel2)
	    local needlabel3 = zc.createLabel({
	        text = zc.lang("have_already_enough"),
	        fontSize = 20,
	        ap = cc.p(0, 0.5),
	        pos = cc.p(needlabel2:getPositionX() + needlabel2:getContentSize().width + 10, 50),
	        outLine = true,
	        color = display.COLOR_GREEN,
	    })
	    needLayer:addChild(needlabel3)
	end
end

function CopysweepPop:initSweepButton(bg, posY, _tag)
    local copySize = bg:getContentSize()
    local sweepTimes = {[1]=1,[2]=5,[3]=50} --扫荡次数

    local consume_price = {}
	local _beginIndx = 0
    local leastNum2 = 0

    if self._nationId == 1 then

	local totalNum = tonumber(self._tollDb.numLimit) or 0
		if self._enemyData.buyNum and tonumber(self._enemyData.buyNum) > 0 then
			totalNum = tonumber(self._tollDb.numLimit) + tonumber(self._tollDb.numLimit)*tonumber(self._enemyData.buyNum)
		end
    	consume_price = gameData.getDataFromCache("consume_price", {type=44} )
		_beginIndx = tonumber(self._enemyData.num) - tonumber(self._tollDb.numLimit)
		leastNum2 = totalNum - tonumber(self._enemyData.num)
    elseif self._nationId == 2 then
    	consume_price = gameData.getDataFromCache("consume_price", {type=37} )
        local _info = PlayerData:getEliteBuyInfo()
        leastNum2 = tonumber(_info.challengeTimes) < 0 and 0 or _info.challengeTimes
        _beginIndx= tonumber(_info.buyTollgateChallenge) - leastNum2
    end
    local sweep_price = {[1]=0,[2]=0,[3]=0}
	local _price = 0 
	local _priceNum = table.nums(consume_price)

    for i = 1, 50 do
    	if leastNum2 > 0 then --如果，还有免费次数，消耗为0
    		_price = _price + 0
	    	leastNum2 = leastNum2 - 1
    	else
    		local _index = _beginIndx + i
    		if _index > _priceNum then
    			_index = _priceNum
			elseif _index < 1 then
				_index = 1
    		end
    		local priceInfo = consume_price[_index] or {}
    		_price = _price + (tonumber(priceInfo.price) or 0)
    	end
    	if i == 1 then
			sweep_price[1] = _price
    	elseif i == 5 then
    		sweep_price[2] = _price
    	end
    end
	sweep_price[3] = _price

	local _scale = 1
	local _xDis = 160
	if _tag == 1 then
		_scale = 0.9
		_xDis = 140
	end

    if self._nationId == 3 then
    	sweepTimes = {6, 1}
    	sweep_price = {6, 1}
    	_xDis = 200
        for j = 2, 1,-1 do
	        local selectBtn = zc.createCommomBtn({
	        	tag = 1,
	            needSwallow = true,
	            scale = _scale,
	            text = self._btnTitle..sweepTimes[j] .. zc.lang("ci"),
		        endCallback = function()
			        local _costNum = zc.getNumByTypeId(zc.mainTypeResource, zc.dataWeaponTollgateTimes)
					if _costNum < sweep_price[j] then
				        zc.createBuyEnergyPop({type = zc.dataWeaponTollgateTimes})
						return
					end
					self:doSweep(sweepTimes[j])
		        end,
	            anchor = cc.p(0.5, 0.5),
	            pos = cc.p(copySize.width/2 + (j-1.5)*_xDis, posY)
	        })
	        bg:addChild(selectBtn)

    	    local gold10 = zc.createSprite(zc.getImgByType(zc.dataWeaponTollgateTimes))
		    gold10:setAnchorPoint(0.5, 0.5)
		    gold10:setPosition(selectBtn:getPositionX(), selectBtn:getPositionY()+45)
		    bg:addChild(gold10)
		    local goldNum1 = zc.createLabel({
		        text = sweep_price[j],
		        fontSize = 20,
		        ap = cc.p(0, 0.5),
		        pos = cc.p(gold10:getContentSize().width, gold10:getContentSize().height/2),
		        outLine = true
		    })
		    gold10:addChild(goldNum1)
		    gold10:setPositionX(selectBtn:getPositionX()-goldNum1:getContentSize().width/2)
		end
	elseif self._nationId == 4 then
		
	else
	    for j = 3, 1,-1 do
	        local selectBtn = zc.createCommomBtn({
	        	tag = 1,
	            needSwallow = true,
	            scale = _scale,
	            text = self._btnTitle..sweepTimes[j] .. zc.lang("ci"),
		        endCallback = function()
					local function comfirmDoSweep()
						local _gold = PlayerData:getResourcesInfoById(zc.dataTypeGold)
						local _costGold = tonumber(sweep_price[j])
						if _costGold > tonumber(_gold) then
							zc.tipInfo(zc.lang("tips_gold_unenough"))
							return
						end
			        	if j == 3 then
		        		    local comfirm = ZCConfirmDialog:createWithParams({
						        title = zc.lang("prompt"),
						        msg = LANGUAGE_SWEEP_COST_TIPS(sweep_price[j], sweepTimes[j]),
						        showDi = true,
		                    	rightCallback = function()
				                    self:doSweep(sweepTimes[j])
				                end,
						    })
						    self:addChild(comfirm, 11)
			        	else
			                -- 开始扫荡
			            	self:doSweep(sweepTimes[j])
			            end
			        end
					if self._nationId == 1 then
	        		    --检查体力是否足够
				        local _energy = PlayerData:getResourcesInfoById(zc.dataTypeEnergy)
				        local _costEnergy = sweepTimes[j] * (tonumber(self._tollDb.expend) or 0)
				        if _costEnergy > _energy then
				        	zc.tipInfo(zc.lang("tips_tili_unenough"))
				        	return
				        end
						comfirmDoSweep()

					elseif self._nationId == 2 then
						--检查是否有可领取的饰品
	                	zc.sendHttp({
	                        apiName = "Tollgate_otherTrinketList",
	                        successCallback = function (net_data)
	                            if net_data.trinketsBag and next(net_data.trinketsBag) then
	                            	zc.createGetOtherTrinketsPop(net_data)
	                            else
	                                comfirmDoSweep()
	                            end
	                        end
	                    })
					end
		        end,
	            anchor = cc.p(0.5, 0.5),
	            pos = cc.p(copySize.width/2 - (j-2)*_xDis, posY)
	        })
	        bg:addChild(selectBtn)

	        if sweep_price[j] == 0 then
	        	local freeLab = zc.createLabel({
	        	    text = zc.lang("free"),
	        	    outLine = true,
	        	    fontSize = 20,
	        	    ap = cc.p(0.5, 0.5),
	        	    pos = cc.p(selectBtn:getPositionX(), selectBtn:getPositionY()+45),
	        	    color = display.COLOR_GREEN,
	        	})
	        	bg:addChild(freeLab)
	        else
	    	    local gold10 = zc.createSprite(zc.getImgByType(1))
			    gold10:setAnchorPoint(0.5, 0.5)
			    gold10:setPosition(selectBtn:getPositionX(), selectBtn:getPositionY()+45)
			    bg:addChild(gold10)
			    local goldNum1 = zc.createLabel({
			        text = sweep_price[j].."",
			        fontSize = 20,
			        ap = cc.p(0, 0.5),
			        pos = cc.p(gold10:getContentSize().width, gold10:getContentSize().height/2),
			        outLine = true
			    })
			    gold10:addChild(goldNum1)
			    gold10:setPositionX(selectBtn:getPositionX()-goldNum1:getContentSize().width/2)
	        end
		end
	end

end
function CopysweepPop:dontTouch()
	self._containerLayer:setTouchEndedCallback(function() 
	end)
	self._backbutton:setEnable(false)
end
function CopysweepPop:canTouch()
	self._containerLayer:setTouchEndedCallback(function() 
		self:hide()
	end)
	self._backbutton:setEnable(true)
	if self._backBossData then
		PlayerData:setLastSceneData({
            lastScene = "WeaponCopy",
            boss = self._backBossData,
            isNew = 1,
        })
		local _lay = zc.getScene("WeaponCopyListLayer")
		if _lay then
			_lay:freshData()
		end
        self._backBossData = nil
	end
end
function CopysweepPop:successSweep(_times)
	if self._bar_bg then
		self._bar_bg:removeFromParent()
		self._bar_bg = nil
	end
	if self._saodang then
		self._saodang:removeFromParent()
		self._saodang = nil
	end
    local saodang_baoxiang = zc.createSpine({
        fileName = "saodang_baoxiang",
        actName = "shock",
        loop = true,
    })
    saodang_baoxiang:setPosition( cc.p(zc.width/2,zc.height/2) )
    self:addChild(saodang_baoxiang)
    self._saodang_baoxiang = saodang_baoxiang

    self._touchBtn = ZCPushButton:createWithParams({
    	touchSize = cc.size(10000,10000),
    	needSwallow = true,
    	endCallback = function()
    		self._touchBtn:setEnable(false)
    		self._tipLab:removeFromParent()

        	local pos = cc.p( zc.width/2,zc.height/2+180 )
        	local _path = "res/Main/copy/copy_sweepbg1.png"
        	if not self._dropNeedItem then
        		_path = "res/Main/copy/copy_sweepbg3.png"
        	end
        	local copy_sweepbg = zc.createSprite(_path)
        	copy_sweepbg:setAnchorPoint(0.5, 1)
        	copy_sweepbg:setPosition(zc.width/2, pos.y - 61)
        	self:addContent(copy_sweepbg)
        	copy_sweepbg:setVisible(false)
        	local line = math.floor((#self._sweepReward - 1) / 4) + 1
        	local innerHeight = line * 80 + 11
        	if innerHeight < 171 then
        		innerHeight = 171
        	end
    	    local dropScrollView = zc.createScrollview({
		        size = cc.size(450, 171),
		        innerSize = cc.size(450, innerHeight),
		        dir = ccui.ScrollViewDir.vertical,
		        -- dir = ccui.ScrollViewDir.both,
		        bar = false,
		        bounceEnable = false,
		    })
		    copy_sweepbg:addChild(dropScrollView)
		    dropScrollView:ignoreAnchorPointForPosition(false)
		    dropScrollView:setAnchorPoint(cc.p(0.5, 1))
		    dropScrollView:setPosition(cc.p(copy_sweepbg:getContentSize().width/2, copy_sweepbg:getContentSize().height-30))
        	dropScrollView:setTouchEnabled(false)
		    copy_sweepbg._dropScrollView = dropScrollView

        	self._bg = copy_sweepbg

        	saodang_baoxiang:playAction("open", false)
    		saodang_baoxiang:registerSpineEventHandler( function ( event )
				saodang_baoxiang:unregisterSpineEventHandler(sp.EventType.ANIMATION_COMPLETE)
				if event.animation == "open" then
					saodang_baoxiang:playAction("idle", true)
				end
			end, sp.EventType.ANIMATION_COMPLETE)

    		performWithDelay(saodang_baoxiang, function()
	        	local targetPos = {
	        		[1] = cc.p(pos.x-170, pos.y-140),
	        		[2] = cc.p(pos.x-60, pos.y-140),
	        		[3] = cc.p(pos.x+50, pos.y-140),
	        		[4] = cc.p(pos.x+160, pos.y-140),
	        		[5] = cc.p(pos.x-170, pos.y-222),
	        		[6] = cc.p(pos.x-60, pos.y-222),
	        		[7] = cc.p(pos.x+50, pos.y-222),
	        		[8] = cc.p(pos.x+160, pos.y-222),
	        	}
	        	local itemLightList = {}
	        	self._mapEnd = {} --记录已经执行
        		saodang_baoxiang:runAction(cc.Sequence:create(
	            	cc.Spawn:create(
			            cc.MoveBy:create(0.15, cc.p(0, 180)),
			            cc.ScaleTo:create(0.15, 0.6)
			        ),
			        cc.CallFunc:create(function() --用来打断所有动画
			        	local function _toBreakAction()
				        	if not self._touchBtn:isEnable() then
				        		self._touchBtn:setEnable(true)
				        		self._touchBtn:setTouchEndedCallback(function()
				        			self._touchBtn:setEnable(false)
				        			saodang_baoxiang:stopAllActions()
				        			--删除亮圈
				        			for i = 1, #itemLightList do
				        				local itemLight = itemLightList[i]
				        				if not tolua.isnull(itemLight) then
				        					itemLight:removeFromParent()
				        				end
				        			end
				        			dropScrollView:removeAllChildren()
				        			if self._showWeaponList then
				        				for i = 1,#self._showWeaponList do
				        					self._showWeaponList[i]["USED"] = false
				        				end
				        			end
				        			for i = 1, #self._sweepReward do
						        		local item = self:createAItem(dropScrollView,self._sweepReward[i],i,innerHeight)
				        			end
							    	dropScrollView:setTouchEnabled(#self._sweepReward > 8 and true or false)
				                    local coner = dropScrollView:getInnerContainer()
			                    	coner:stopAllActions()
			                    	coner:setPositionY(0)
							    	self:actionEnd(copy_sweepbg)
		                    		if not tolua.isnull(self._touchBtn) then
									    self._touchBtn:removeFromParent()
								    	self._touchBtn = nil
								    end
								    zc.dispatchEvent({ name = CUSTOM_EVENT.EVENT_REFRESH_FORM_SWEEP })
							    	self:canTouch()
				        		end)
				        	end
				        end
				        if self._haseSweepGeneral then
				        	performWithDelay(saodang_baoxiang,function()
				        		_toBreakAction()
				        	end,0.5)
				        else
				        	_toBreakAction()
				        end
			        end),
			        cc.CallFunc:create(function()
			        	copy_sweepbg:setVisible(true)
			        	local _thelastone = #self._sweepReward > 8 and 8 or #self._sweepReward
			        	local function createNext( i )
			        		--如果是最后一个，返回
			        		if self._mapEnd[i] then
			        			return
			        		end
			        		-- print("-----------log--------ad------------- i ", i, #self._sweepReward, socket.gettime() )
			        		if i > #self._sweepReward then
			        			return
			        		end

			        		local _itemInfo = self._sweepReward[i]
					        local item , itemType, _info = self:createAItem(dropScrollView,_itemInfo,i,innerHeight)
					        if i <= _thelastone then
					        	item:setVisible(false)
					        end
					        if i <= _thelastone then
				        		local itemLight = zc.createSprite("res/Main/copy/itemLight.png")
				        		itemLight:setAnchorPoint(0.5, 0.5)
				        		itemLight:setPosition(pos)
				        		itemLight:setScale(0.1)
				        		self:addChild(itemLight)
				        		itemLightList[#itemLightList+1] = itemLight

						        itemLight.item = item

						        local acTiem = 0.3
						        itemLight:runAction(cc.Sequence:create(cc.DelayTime:create(acTiem),
						        	cc.CallFunc:create(function()
						        		local _continue = true
						        		if itemType == 2 then
						        			_continue = false
						        		elseif itemType == 3 then
						        			if _times ~= 50 then
						        				_continue = false
						        			end
						        		end
						        		if _continue then
						        			createNext(i+1)
						        		end
						        	end),
						        	cc.Spawn:create(
						        		cc.Spawn:create(
			                            	cc.MoveTo:create(acTiem, targetPos[i]),
			                            	 cc.ScaleTo:create(acTiem, 82/125)
			                            ),
	                            		cc.RotateTo:create(acTiem, -720*2)),
						        	cc.CallFunc:create(function()
					        			if itemType == 2 then
						        			zc.createPubShowGetHero({id=_itemInfo.id,callback=function() createNext(i+1) end})
						        		elseif itemType == 3 and _times ~= 50 then --扫荡50次不展示
				        					zc.createPop("makeGodWeapon", {
				        						info = PlayerData:getWeaponInfoInfoById(_info.id),
				        						onlyShow = true,
				        						endCallback = function() 
					        						if i == _thelastone then
					        							self:canTouch()
					        						end
				        							createNext(i+1) 
				        						end
				        					})
						        		end
						        	end),
						        	cc.CallFunc:create(function() 
						        		itemLight.item:setVisible(true) 
						        		itemLight:setVisible(false) 
						        	end),
						        	cc.CallFunc:create(function() 
						        		if i == _thelastone then
						                    local _pianyiY = 171 - innerHeight
						                    local function deleteTouchBtn(_scrollTouch)
						                    	if self._touchBtn then
												    self._touchBtn:removeFromParent()
											    	self._touchBtn = nil
											    end
										    	self:actionEnd(copy_sweepbg)
										    	zc.dispatchEvent({ name = CUSTOM_EVENT.EVENT_REFRESH_FORM_SWEEP })
										    	dropScrollView:setTouchEnabled(_scrollTouch)
										    	if itemType == 3 and _times ~= 50 then 
										    	else
										    		self:canTouch()
											    end
						                    end
						                    if _pianyiY <= 0 then
							                    local coner = dropScrollView:getInnerContainer()
							                    self._touchBtn:setEnable(true)
							                    self._touchBtn:setTouchEndedCallback(function()
							                    	coner:stopAllActions()
							                    	coner:setPositionY(0)
							                    	deleteTouchBtn(true)
							                    end)
							                    local _moveTime = 1.0/160 * math.abs(_pianyiY) --0.6s对应移动160的距离
							                    coner:runAction(cc.Sequence:create(
							                    	cc.MoveBy:create(_moveTime, cc.p(0,_pianyiY*(-1))),
							                    	cc.CallFunc:create(function() 
							                    		deleteTouchBtn(true) 
							                    	end)
							                    )) 
							                else
												deleteTouchBtn(false)
										    end
						        		end
						        	end),
									cc.RemoveSelf:create(true)
						        ))
							else
								createNext(i+1)
							end
			        	end
			        	--
			        	createNext(1)
			        end)))

			end,0.6)
    	end,
    	anchor = cc.p(0.5, 0.5),
    	pos = cc.p(zc.width/2, zc.height/2)
    })
    self:addChild(self._touchBtn, 100)

    local tipLab = zc.createLabel({
        text = zc.lang("tips_click_empty_continue"),
        outLine = true,
        fontSize = 22,
        ap = cc.p(0.5, 0.5),
        pos = cc.p(zc.width/2, zc.height/2-200),
    })
    self:addChild(tipLab)
    tipLab:runAction(cc.RepeatForever:create(cc.Sequence:create(cc.FadeOut:create(1.0),cc.FadeIn:create(1.0)) ))
    self._tipLab = tipLab
end
--获取武器等级
function CopysweepPop:getWeaponLevel(itemId)
    for i = 1, #self._showWeaponList do
        local v = self._showWeaponList[i]
        if v.type and tonumber(v.type) == zc.mainTypeWeapon then
            if tonumber(v.itemId) == tonumber(itemId) and not v.USED then
            	v.USED = true --是否已经遍历过(如果打断，则先置成false)
                local _id = v.model.id
                if not v.LEVEL then
                	v.LEVEL = zc.getWeaponLevel(_id)
                end
                return v.LEVEL, _id
            end
        end
    end
    return 0, _id
end
function CopysweepPop:createAItem(dropScrollView,_v, i,innerHeight)
    local modI = i <= 4 and (i-1) or ((i-1)%4)
    local posX = 54+(modI)*110
    local posY = innerHeight-50-80*( math.floor((i-1)/4) )
	local v = _v
	local itemType = tonumber(v.type)
	local _info = {}
	_info.level = 0
	local _id = tonumber(v.id)
	if v.itemId then
		_id = tonumber(v.itemId)
	end 
	local _num = tonumber(v.num) or 0
	if v.changeNum then
		_num =  tonumber(v.changeNum) or 0
	end
	local _showItem = true
	local _showHero = nil
	if itemType == zc.mainTypeWeapon then
		_info.level, _info.id = self:getWeaponLevel(_id)
	elseif itemType == zc.mainTypeSoldier then
		_showItem = false
        _showHero = function() zc.createHeroInfoPop({heroId = _id, showHero = true}) end
	end
	local _mainType = tonumber(v.type) or 1
	local _bei_ = 1
	if _mainType == zc.mainTypeProp and self._haveDouble == 1 then
		_bei_ = 2
		_num = _num/2
	end
	print("wm---test ", _num)
    local item = zc.createIconByData({
        data = {
            mainType = _mainType,
            type = _id,
            id = _id,
            num = _num,
            level = (itemType == zc.mainTypeWeapon) and zc.getLevelTipShow().._info.level or nil,
        },
        showBei = _bei_,
        showDetailPop = _showItem,
        listener = _showHero,
        primaryId = _info.id,
        showLevel = (itemType == zc.mainTypeWeapon) and true or false,
        pos = cc.p(posX,posY),
    })
    item:setScale(82/125)
    dropScrollView:addChild(item)

    --加特效(目前只有：武将、金色饰品)
    local showEffect = false 
    if itemType == 2 then
    	showEffect = true
    elseif itemType == zc.mainTypeTrinket then
		local trinket = gameData.getDataFromCacheWithPrimaryKey("trinket", v.id) or {}
		if trinket and trinket.color and tonumber(trinket.color) > 4 then
			showEffect = true
		end
	elseif itemType == 3 and self._nationId == 3 then
		local _model = v.model or {}
        local _color = tonumber(_model.color) or 0
        if _color < 3 then
        	itemType = 4
        end
    end
    if showEffect then
        local renwu_logo = zc.createSpine({
            fileName = "renwu_logo",
            actName = "animation",
            loop = true,
        })
        renwu_logo:setPosition( cc.p(item:getContentSize().width/2, item:getContentSize().height/2) )
        item:addChild(renwu_logo)
        renwu_logo:setScale(1.5)
    end
    --记录已经执行
	self._mapEnd[i] = 1    
    return item, itemType, _info
end
function CopysweepPop:actionEnd(copy_sweepbg)
	if self._nationId == 3 then
		self:initSweepButton(copy_sweepbg, 10, 2)
		return
	end
	if copy_sweepbg.todayLastTimeLab then
		return
	end
	if self._dropNeedItem then
		self:initNeed(copy_sweepbg, 40 + 88)
	end
	local leastNum = 0
    local _numLabelStr = zc.lang("now_left_free_times") .. "："
	if self._nationId == 1 then
		local totalNum = tonumber(self._tollDb.numLimit)
		leastNum = totalNum - tonumber(self._enemyData.num)
	elseif self._nationId == 2 then
        local _info = PlayerData:getEliteBuyInfo()
        leastNum = tonumber(_info.challengeTimes)
        _numLabelStr = zc.lang("left_challenge_times") .. "："
    elseif self._nationId == 4 then
    	_numLabelStr = ""
	end
    --剩余次数
    local todayLastTimeLab = zc.createLabel({
        text = _numLabelStr,
        stroke = false,
        fontSize = 22,
        ap = cc.p(0, 0.5),
        pos = cc.p(310 + 290, 128),
        color = cc.c3b(227,206,169),
    })
    copy_sweepbg:addChild(todayLastTimeLab)
    copy_sweepbg.todayLastTimeLab = todayLastTimeLab
    local todayLastTime = zc.createLabel({
        text = leastNum < 0 and "0" or leastNum,
        stroke = true,
        fontSize = 22,
        ap = cc.p(0, 0.5),
        pos = cc.p(todayLastTimeLab:getPositionX()+todayLastTimeLab:getContentSize().width, 128),
        color = display.COLOR_GREEN,
    })
    copy_sweepbg:addChild(todayLastTime)

    if self._nationId == 4 then
    	todayLastTime:setText("")
    end

    --重置按钮
	self:initSweepButton(copy_sweepbg, 10, 2)
end
function CopysweepPop:doSweep(_times)
	--删除背景、宝箱、防止触摸
	if self._bg then
    	self._bg:removeFromParent()
    	self._bg = nil
    end
    if self._saodang_baoxiang then
    	self._saodang_baoxiang:removeFromParent()
    	self._saodang_baoxiang = nil
    end
	self:dontTouch()

    --扫荡小人
   	local actName = "nv_saodang"
   	local base = PlayerData:getBaseInfo()
   	if base and base.seigniorId and tonumber(base.seigniorId) == 1 then
   		actName = "nan_saodang"
   	end
    local saodang = zc.createArmature({
        parentPath = "res/animation/saodang/",
        fileName = "saodang",
        loop = true,
        actName = actName,
    })
    saodang:setPosition( cc.p(zc.width/2,zc.height/2) )
    self:addChild( saodang )
    self._saodang = saodang
    --进度条
    local actionTime = 1.8
    self:doProgress(_times)

	--test
	-- self._dropNum = 8
	-- self._sweepReward = {}
	-- for i = 1, self._dropNum do
	-- 	local _type = 4
	-- 	if i == 2 then
	-- 		_type = 4
	-- 	end
	-- 	self._sweepReward[i] = {}
	-- 	self._sweepReward[i].type = _type
	-- 	self._sweepReward[i].id = 40+i
	-- 	self._sweepReward[i].num = 10 + i
	-- end
	-- performWithDelay(self,function()
	-- 	self:successSweep(_times)
	-- end,actionTime)
	-- do return end

	local sweepnum = _times
	local _timeBegin = socket.gettime()

	local _apiName = "Tollgate_mopUp"
	local _params = {id = self._enemyData.tollgateId, num = sweepnum}
	if self._nationId == 3 then
		_apiName = "WeaponCopy_sweep"
		_params = {tollgateId = self._tollDb.id, nums = sweepnum}
	elseif self._nationId == 4 then
		_apiName = "Hero_CopyChallengeMore"
		_params = {tollgateId = self._tollDb.id}
	end
    zc.sendHttp({
    	apiName = _apiName,
    	params = _params,
    	successCallback = function (data)
			self._haveDouble = tonumber(data.isDouble) or 0
    		local function showReward()
				data.noAnimation = true
				PlayerData:updataData( data )
				zc.dispatchEvent({ name = CUSTOM_EVENT.EVENT_REFRESH_ELITE_TIME })
				--处理数据删除相同的，删除武将经验
				local _haseWeapon = false
				self._haseSweepGeneral = false --是否扫荡到武将
				local totalReward = {}
				if self._nationId == 3 then
					self._sweepReward = data.clientItems
					_haseWeapon = true
				elseif self._nationId == 4 then
					self._sweepReward = data.clientItems
					_haseWeapon = false
				else
					local sweepReward = data.items
					local rewardMap = {}
					for i = 1, #sweepReward do
						local _reward = sweepReward[i]
						for j = 1, #_reward do
							local itemType = tonumber(_reward[j]["type"])
							local itemId = tonumber(_reward[j]["id"])
							
							if not rewardMap[itemType] then
								rewardMap[itemType] = {}
							end
							local typeMap = rewardMap[itemType]
							if itemType ~= 1 and 
								itemType ~= 4 and 
								itemType ~= 5 and 
								itemType ~= 6 and 
								itemType ~= 2 then --个数需要累加的：物资、背包物品、武将(本来是不累加的，扫荡的特殊处理)、玩家经验、武将经验；个数不累加的现在只有武器、饰品
								typeMap = {}
							end
							if typeMap[itemId] then
								local idx = typeMap[itemId]
								if itemType == 2 then
									totalReward[idx].num = 1
								else
									totalReward[idx].num = tonumber(totalReward[idx].num) + tonumber(_reward[j]["num"]	)
								end
							else
								local _hasGeneral = false
				                if itemType == 2 then --检查是否有武将
				                    _hasGeneral = PlayerData:hasSameGeneral(_itemId)
				                end
				                if not _hasGeneral then
									local idx = #totalReward + 1
									typeMap[itemId] = idx
									totalReward[idx] = _reward[j]
									totalReward[idx].weight = 0
									if itemType == 2 then
										totalReward[idx].weight = 100
										self._haseSweepGeneral = true
									elseif itemType == 3 then
										totalReward[idx].weight = 10
										_haseWeapon = true
									end
								end
							end
						end
					end
					self._sweepReward = totalReward
					table.sort(totalReward,function(a, b)
						if tonumber(a.weight) ~= tonumber(b.weight) then
							return tonumber(a.weight) > tonumber(b.weight)
						end
					end)
				end

				--如果奖励有武器,展示
				self._showWeaponList = {}
				if _haseWeapon then
				    local weaponList = {}
				    for i = 1, #data.clientItems do
				        local v = data.clientItems[i]
				        if tonumber(v.type) and tonumber(v.type) == 3 then
				            weaponList[#weaponList+1] = v
				        end
				    end
				    self._showWeaponList = weaponList
				end

				--动画
				self:successSweep(_times)

				self._countFinish = false

				--物品检查
				self._clientItems = {}
				self._clientItems = data.clientItems or {}
				if self._nationId == 3 then 
			        local _isNew = tonumber(data.isNew) or 0
					if _isNew == 1 then
						self._backBossData = data.boss
					end
					return
				end
				if self._dropNeedItem then
					for i = 1, #totalReward do
						local v = totalReward[i]
		    			if tonumber(self._dropNeedItem.mainType) == tonumber(v.type) 
		    			    and tonumber(self._dropNeedItem.itemId) == tonumber(v.id) then 
		    				self._getNum = self._getNum + tonumber(v.num)
		    				break
		    			end
					end
				end
				self._enemyData.num = self._enemyData.num + sweepnum
				--检查主角升级,显示弹窗
				self:checkIfLevelUp(data)
				if data.heros then
					for i=1,#data.heros do 
						PlayerData:setGeneralInfoById(data.heros[i].id, data.heros[i])
					end
				end
				PlayerData:setCurTollGateStatus(self._enemyData.tollgateId, {num = self._enemyData.num})
    		end
    		local _timeEnd = socket.gettime()
			local _useTime = _timeEnd - _timeBegin --扫荡花费时间

			if _useTime < actionTime then --没超时
				performWithDelay(self,function()
					showReward()
				end,actionTime-_useTime)
			else --超时
				showReward()
			end

        end,
        errorCallback = function(_errorCode,_msg)
            zc.tipInfo(_msg)
            self:canTouch()
        end,
        failCallback = function()
            zc.tipInfo(zc.lang("tips_network_error"))
            self:hide()
        end,
        isSilent = true,
    })
end

function CopysweepPop:doProgress(_times)
    --进度条
    --正在扫荡
    local bar_bg = zc.createSprite("res/Main/copy/progressBg.png")
    bar_bg:setPosition(cc.p(zc.width/2,zc.height/2 - 60))
    self:addChild(bar_bg)
    local bar_size = bar_bg:getContentSize()

    local bar_light = zc.createSprite("res/Main/copy/progress_light.png")
    bar_light:setPosition(bar_size.width / 2, bar_size.height / 2 + 4)
    bar_bg:addChild(bar_light)

    self._bar_bg = bar_bg

    local loadingProgress = cc.ProgressTimer:create(cc.Sprite:create("res/Main/copy/progress.png"))
    loadingProgress:setType(cc.PROGRESS_TIMER_TYPE_BAR)
    loadingProgress:setMidpoint(cc.p(0, 0))
    loadingProgress:setBarChangeRate(cc.p(1, 0))
    loadingProgress:setPosition(cc.p(bar_size.width / 2, bar_size.height / 2))
    loadingProgress:setPercentage(10)
    bar_bg:addChild(loadingProgress)
    self._loadingProgress = loadingProgress

    local myLab1 = zc.createLabel({
        text = "1/".._times,
        fontSize = 22,
        ap = cc.p(0.5, 0.5),
        pos = cc.p(bar_size.width / 2, bar_size.height / 2+1),
        color = display.COLOR_YELLOW,
    })
    bar_bg:addChild(myLab1)

    local myLab2 = zc.createLabel({
        text = zc.lang("now_sweeping"),
        outLine = true,
        fontSize = 24,
        ap = cc.p(0, 0.5),
        pos = cc.p(40, bar_size.height / 2 - 50),
    })
    bar_bg:addChild(myLab2)

    local myLab3 = zc.createLabel({
        text = "1/".._times,
        outLine = true,
        fontSize = 28,
        ap = cc.p(0, 0.5),
        pos = cc.p(myLab2:getPositionX()+myLab2:getContentSize().width+10, bar_size.height / 2 - 50),
        color = display.COLOR_GOLD,
    })
    bar_bg:addChild(myLab3)
    
    local myLab4 = zc.createLabel({
        text = zc.lang("ci") .. "...",
        outLine = true,
        fontSize = 24,
        ap = cc.p(0, 0.5),
        pos = cc.p(myLab3:getPositionX()+myLab3:getContentSize().width+10, bar_size.height / 2 - 50),
    })
    bar_bg:addChild(myLab4)
    
    
    loadingProgress:runAction(cc.Sequence:create(cc.ProgressTo:create( 1.8, 95 )))
    local _count = 1
    schedule(bar_bg,function()
    	_count = _count + 1
    	if _count > _times then
    		_count = _times
    	end
    	myLab1:setString(_count.."/".._times)
    	myLab3:setString(_count.."/".._times)
    	myLab4:setPositionX(myLab3:getPositionX()+myLab3:getContentSize().width+10)
    end,1.8 / _times)

end
function CopysweepPop:checkIfLevelUp(_data)
    local heroData = {}
    for i, v in ipairs( PlayerData:getGeneralInfo() ) do
        heroData[tonumber( v.id )] = v
    end
    if _data["heros"] and next(_data["heros"]) then
    	for i = 1, #_data["heros"] do
    		local v = _data["heros"][i]
            if tonumber( PlayerData.info.heroId ) == tonumber( v.id ) then
	    		local oldData = heroData[tonumber(v.id)]
	    		if oldData and oldData.level then
	    			if tonumber(oldData.level) < tonumber(v.level) then
	    				zc.createLevelUpPop()
	    			end
	    		end
	    	end
			v.beforeexp = v.exp
			v.beforelevel = v.level
    	end
    end
end

return CopysweepPop
