-- 宝箱.xls
-- {
-- 	id = 主键ID
-- 	name = 名称
-- 	desc = 描述
-- 	type = 宝箱类型
-- 	items = 内容
-- 	mustNum = 必出次数
-- 	mustItem = 必出奖励
-- 	star = 星级
-- 	quotaLevel = 使用等级
-- 	iconId = 图标
-- }
local treasure = {
	["1"] = {
		["star"] = 2,
		["name"] = "白色藏宝图宝箱",
		["items"] = "4|4|1|100,4|7|1|100",
		["iconId"] = 601,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 1,
		["desc"] = "可能掉落初级武器卷轴，武器合成通用材料1",
	},
	["2"] = {
		["star"] = 3,
		["name"] = "绿色藏宝图宝箱",
		["items"] = "4|5|1|100,4|8|1|100",
		["iconId"] = 602,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 2,
		["desc"] = "可能掉落初级武器卷轴，武器合成通用材料2",
	},
	["3"] = {
		["star"] = 4,
		["name"] = "蓝色藏宝图宝箱",
		["items"] = "4|6|1|100,4|8|1|100",
		["iconId"] = 603,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 3,
		["desc"] = "可能掉落高级武器卷轴，武器合成通用材料2",
	},
	["4"] = {
		["star"] = 2,
		["name"] = "白色通商宝箱",
		["items"] = "1|5|15,4|1|5,1|10|6500",
		["iconId"] = 601,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 4,
		["desc"] = "完成通商之后获得的宝箱",
	},
	["5"] = {
		["star"] = 3,
		["name"] = "绿色通商宝箱",
		["items"] = "1|6|10,4|1|20,1|10|26000",
		["iconId"] = 602,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 5,
		["desc"] = "完成通商之后获得的宝箱",
	},
	["6"] = {
		["star"] = 4,
		["name"] = "蓝色通商宝箱",
		["items"] = "1|6|10",
		["iconId"] = 603,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 6,
		["desc"] = "完成通商之后获得的宝箱",
	},
	["7"] = {
		["star"] = 5,
		["name"] = "紫色通商宝箱",
		["items"] = "1|2|40003",
		["iconId"] = 604,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 7,
		["desc"] = "完成通商之后获得的宝箱",
	},
	["8"] = {
		["star"] = 3,
		["name"] = "活跃度宝箱",
		["items"] = "1|2|1000,1|1|30",
		["iconId"] = 601,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 8,
		["desc"] = "完成相应活跃度",
	},
	["9"] = {
		["star"] = 4,
		["name"] = "活跃度宝箱",
		["items"] = "1|2|1000,1|1|50",
		["iconId"] = 602,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 9,
		["desc"] = "完成相应活跃度",
	},
	["10"] = {
		["star"] = 5,
		["name"] = "活跃度宝箱",
		["items"] = "1|2|1000,1|1|70",
		["iconId"] = 603,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 10,
		["desc"] = "完成相应活跃度",
	},
	["11"] = {
		["star"] = 6,
		["name"] = "活跃度宝箱",
		["items"] = "1|2|1000,1|1|90",
		["iconId"] = 604,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 11,
		["desc"] = "完成相应活跃度",
	},
	["12"] = {
		["star"] = 1,
		["name"] = "12次征收宝箱1",
		["items"] = "1|2|4000",
		["iconId"] = 2,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 12,
		["desc"] = "完成12次征收可领取",
	},
	["13"] = {
		["star"] = 1,
		["name"] = "12次征收宝箱2",
		["items"] = "4|1|5",
		["iconId"] = 2,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 13,
		["desc"] = "完成12次征收可领取",
	},
	["14"] = {
		["star"] = 2,
		["name"] = "24次征收宝箱1",
		["items"] = "1|2|8000",
		["iconId"] = 3,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 14,
		["desc"] = "完成24次征收可领取",
	},
	["15"] = {
		["star"] = 2,
		["name"] = "24次征收宝箱2",
		["items"] = "1|7|50",
		["iconId"] = 3,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 15,
		["desc"] = "完成24次征收可领取",
	},
	["16"] = {
		["star"] = 3,
		["name"] = "40次征收宝箱1",
		["items"] = "1|2|12000",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 16,
		["desc"] = "完成40次征收可领取",
	},
	["17"] = {
		["star"] = 3,
		["name"] = "40次征收宝箱2",
		["items"] = "1|1|100",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 17,
		["desc"] = "完成40次征收可领取",
	},
	["369"] = {
		["star"] = 3,
		["name"] = "测试宝箱",
		["items"] = "1|2|2000",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 369,
		["desc"] = "测试使用的宝箱",
	},
	["370"] = {
		["star"] = 1,
		["name"] = "白色武器卷轴箱",
		["items"] = "4|148|1|100,4|152|1|100,4|160|1|100,4|166|1|100,4|171|1|100,4|175|1|100,4|178|1|100,4|183|1|100,4|186|1|100,4|190|1|100,4|399|1|100,4|174|1|100,4|442|1|100,4|446|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 370,
		["desc"] = "随机获得白色武器卷轴碎片",
	},
	["371"] = {
		["star"] = 2,
		["name"] = "绿色武器卷轴箱",
		["items"] = "4|149|1|100,4|150|1|100,4|155|1|100,4|161|1|100,4|168|1|100,4|170|1|100,4|179|1|100,4|180|1|100,4|191|1|100,4|407|1|100,4|432|1|100,4|404|1|100,4|441|1|100,4|445|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 371,
		["desc"] = "随机获得绿色武器卷轴碎片",
	},
	["372"] = {
		["star"] = 3,
		["name"] = "蓝色武器卷轴箱",
		["items"] = "4|154|1|100,4|156|1|100,4|162|1|100,4|163|1|100,4|167|1|100,4|172|1|100,4|176|1|100,4|184|1|100,4|188|1|100,4|192|1|100,4|398|1|100,4|408|1|100,4|431|1|100,4|403|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 372,
		["desc"] = "随机获得蓝色武器卷轴碎片",
	},
	["373"] = {
		["star"] = 4,
		["name"] = "紫色武器卷轴箱",
		["items"] = "4|151|1|100,4|157|1|100,4|158|1|100,4|159|1|100,4|164|1|100,4|165|1|100,4|169|1|100,4|173|1|100,4|177|1|100,4|181|1|100,4|185|1|100,4|189|1|100,4|193|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 373,
		["desc"] = "随机获得紫色武器卷轴碎片",
	},
	["374"] = {
		["star"] = 1,
		["name"] = "白色长柄卷轴箱",
		["items"] = "4|148|1|100,4|152|1|100,4|399|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 374,
		["desc"] = "随机获得白色长柄卷轴碎片",
	},
	["375"] = {
		["star"] = 2,
		["name"] = "绿色长柄卷轴箱",
		["items"] = "4|149|1|100,4|150|1|100,4|155|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 375,
		["desc"] = "随机获得绿色长柄卷轴碎片",
	},
	["376"] = {
		["star"] = 3,
		["name"] = "蓝色长柄卷轴箱",
		["items"] = "4|154|1|100,4|156|1|100,4|398|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 376,
		["desc"] = "随机获得蓝色长柄卷轴碎片",
	},
	["377"] = {
		["star"] = 4,
		["name"] = "紫色长柄卷轴箱",
		["items"] = "4|151|1|100,4|157|1|100,4|158|1|100,4|159|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 377,
		["desc"] = "随机获得紫色长柄卷轴碎片",
	},
	["378"] = {
		["star"] = 1,
		["name"] = "白色钝器卷轴箱",
		["items"] = "4|166|1|100,4|171|1|100,4|175|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 378,
		["desc"] = "随机获得白色钝器卷轴碎片",
	},
	["379"] = {
		["star"] = 2,
		["name"] = "绿色钝器卷轴箱",
		["items"] = "4|168|1|100,4|170|1|100,4|174|1|100,4|407|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 379,
		["desc"] = "随机获得绿色钝器卷轴碎片",
	},
	["380"] = {
		["star"] = 3,
		["name"] = "蓝色钝器卷轴箱",
		["items"] = "4|167|1|100,4|172|1|100,4|176|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 380,
		["desc"] = "随机获得蓝色钝器卷轴碎片",
	},
	["381"] = {
		["star"] = 4,
		["name"] = "紫色钝器卷轴箱",
		["items"] = "4|169|1|100,4|173|1|100,4|177|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 381,
		["desc"] = "随机获得紫色钝器卷轴碎片",
	},
	["382"] = {
		["star"] = 1,
		["name"] = "白色法杖卷轴箱",
		["items"] = "4|178|1|100,4|183|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 382,
		["desc"] = "随机获得白色法杖卷轴碎片",
	},
	["383"] = {
		["star"] = 2,
		["name"] = "绿色法杖卷轴箱",
		["items"] = "4|179|1|100,4|180|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 383,
		["desc"] = "随机获得绿色法杖卷轴碎片",
	},
	["384"] = {
		["star"] = 3,
		["name"] = "蓝色法杖卷轴箱",
		["items"] = "4|184|1|100,4|408|1|100,4|403|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 384,
		["desc"] = "随机获得蓝色法杖卷轴碎片",
	},
	["385"] = {
		["star"] = 4,
		["name"] = "紫色法杖卷轴箱",
		["items"] = "4|181|1|100,4|185|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 385,
		["desc"] = "随机获得紫色法杖卷轴碎片",
	},
	["386"] = {
		["star"] = 1,
		["name"] = "白色剑卷轴箱",
		["items"] = "4|160|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 386,
		["desc"] = "随机获得白色剑卷轴碎片",
	},
	["387"] = {
		["star"] = 2,
		["name"] = "绿色剑卷轴箱",
		["items"] = "4|42|1|100,4|432|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 387,
		["desc"] = "随机获得绿色剑卷轴碎片",
	},
	["388"] = {
		["star"] = 3,
		["name"] = "蓝色剑卷轴箱",
		["items"] = "4|162|1|100,4|163|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 388,
		["desc"] = "随机获得蓝色剑卷轴碎片",
	},
	["389"] = {
		["star"] = 4,
		["name"] = "紫色剑卷轴箱",
		["items"] = "4|164|1|100,4|165|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 389,
		["desc"] = "随机获得紫色剑卷轴碎片",
	},
	["390"] = {
		["star"] = 1,
		["name"] = "白色扇子卷轴箱",
		["items"] = "4|186|1|100,4|446|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 390,
		["desc"] = "随机获得白色扇子卷轴碎片",
	},
	["391"] = {
		["star"] = 2,
		["name"] = "绿色扇子卷轴箱",
		["items"] = "4|404|1|100,4|445|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 391,
		["desc"] = "随机获得绿色扇子卷轴碎片",
	},
	["392"] = {
		["star"] = 3,
		["name"] = "蓝色扇子卷轴箱",
		["items"] = "4|188|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 392,
		["desc"] = "随机获得蓝色扇子卷轴碎片",
	},
	["393"] = {
		["star"] = 4,
		["name"] = "紫色扇子卷轴箱",
		["items"] = "4|189|1|100,4|448|1|100,4|447|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 393,
		["desc"] = "随机获得紫色扇子卷轴碎片",
	},
	["394"] = {
		["star"] = 1,
		["name"] = "白色法球卷轴箱",
		["items"] = "4|190|1|100,4|442|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 394,
		["desc"] = "随机获得白色法球卷轴碎片",
	},
	["395"] = {
		["star"] = 2,
		["name"] = "绿色法球卷轴箱",
		["items"] = "4|191|1|100,4|441|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 395,
		["desc"] = "随机获得绿色法球卷轴碎片",
	},
	["396"] = {
		["star"] = 3,
		["name"] = "蓝色法球卷轴箱",
		["items"] = "4|192|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 396,
		["desc"] = "随机获得蓝色法球卷轴碎片",
	},
	["397"] = {
		["star"] = 4,
		["name"] = "紫色法球卷轴箱",
		["items"] = "4|193|1|100,4|447|1|100,4|448|1|100",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 1,
		["id"] = 397,
		["desc"] = "随机获得紫色法球卷轴碎片",
	},
	["459"] = {
		["star"] = 1,
		["name"] = "资源宝箱",
		["items"] = "1|9|100000,1|10|100000",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 459,
		["desc"] = "打开后可获得木材和矿石",
	},
	["517"] = {
		["star"] = 1,
		["name"] = "高级资源宝箱",
		["items"] = "1|9|200000,1|10|200000",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 517,
		["desc"] = "打开后可获得木材和矿石",
	},
	["624"] = {
		["star"] = 5,
		["name"] = "紫色兵器宝箱",
		["items"] = "3|69|1,3|30|1,3|34|1,3|81|1,3|96|1,3|95|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 624,
		["desc"] = "包含6把紫色+1兵器",
	},
	["625"] = {
		["star"] = 5,
		["name"] = "传说勾玉宝箱",
		["items"] = "12|4|1,12|14|1,12|24|1,12|34|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 625,
		["desc"] = "包含4级攻击、物防、策防和生命勾玉各一",
	},
	["626"] = {
		["star"] = 5,
		["name"] = "史诗勾玉宝箱",
		["items"] = "12|14|1,12|24|1,12|34|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 626,
		["desc"] = "包含4级物防、策防和生命勾玉各一",
	},
	["627"] = {
		["star"] = 5,
		["name"] = "精英勾玉宝箱",
		["items"] = "12|14|1,12|24|1",
		["iconId"] = 3,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 627,
		["desc"] = "包含4级物防和策防勾玉各一",
	},
	["628"] = {
		["star"] = 4,
		["name"] = "优质勾玉宝箱",
		["items"] = "12|13|1,12|23|1,12|33|1",
		["iconId"] = 3,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 628,
		["desc"] = "包含3级物防、策防和生命勾玉各一",
	},
	["629"] = {
		["star"] = 4,
		["name"] = "良质勾玉宝箱",
		["items"] = "12|13|1,12|23|1",
		["iconId"] = 2,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 629,
		["desc"] = "包含3级物防和策防勾玉各一",
	},
	["632"] = {
		["star"] = 3,
		["name"] = "良将碎片",
		["items"] = "13|1|2|10,13|27|2|10,13|8|2|10,13|2|2|10,13|4|2|10,13|7|2|10",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 2,
		["id"] = 632,
		["desc"] = "随机获得3个B将碎片",
	},
	["633"] = {
		["star"] = 4,
		["name"] = "猛将碎片",
		["items"] = "13|3|1|10,13|28|1|10,13|21|1|10,13|26|1|10",
		["iconId"] = "",
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 2,
		["id"] = 633,
		["desc"] = "随机获得2个A将碎片",
	},
	["638"] = {
		["star"] = 2,
		["name"] = "白色兵器宝箱",
		["items"] = "3|43|1,3|6|1,3|13|1,3|23|1,3|65|1,3|31|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 638,
		["desc"] = "包含6把白色兵器",
	},
	["639"] = {
		["star"] = 3,
		["name"] = "绿色兵器宝箱",
		["items"] = "3|5|1,3|14|1,3|61|1,3|24|1,3|32|1,3|39|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 639,
		["desc"] = "包含6把绿色兵器",
	},
	["640"] = {
		["star"] = 4,
		["name"] = "蓝色兵器宝箱",
		["items"] = "3|2|1,3|25|1,3|36|1,3|40|1,3|60|1,3|62|1",
		["iconId"] = 4,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 640,
		["desc"] = "包含6把蓝色兵器",
	},
	["642"] = {
		["star"] = 4,
		["name"] = "将领宝箱",
		["items"] = "2|35|1,2|37|1,2|41|1,2|32|1",
		["iconId"] = 373,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 3,
		["id"] = 642,
		["desc"] = "使用后可以从颜良/荀彧/袁术/纪灵中选择一个将领获取",
	},
	["643"] = {
		["star"] = 5,
		["name"] = "紫色兵器宝箱",
		["items"] = "3|69|1,3|30|1,3|34|1,3|81|1,3|96|1,3|95|1",
		["iconId"] = 373,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 3,
		["id"] = 643,
		["desc"] = "使用后可以从6把兵器中选择一把兵器",
	},
	["711"] = {
		["star"] = 5,
		["name"] = "紫色+1兵器宝箱",
		["items"] = "3|69|1,3|30|1,3|34|1,3|93|1,3|85|1,3|95|1",
		["iconId"] = 373,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 711,
		["desc"] = "包含6把紫色+1兵器",
	},
	["712"] = {
		["star"] = 5,
		["name"] = "3级勾玉礼包",
		["items"] = "12|3|1,12|13|1,12|23|1,12|33|1",
		["iconId"] = 373,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 712,
		["desc"] = "包含4个3级勾玉",
	},
	["713"] = {
		["star"] = 5,
		["name"] = "2级勾玉礼包",
		["items"] = "12|2|1,12|12|1,12|22|1,12|32|1",
		["iconId"] = 373,
		["quotaLevel"] = 0,
		["mustNum"] = 0,
		["mustItem"] = 0,
		["type"] = 0,
		["id"] = 713,
		["desc"] = "包含4个2级勾玉",
	},
}
return treasure