zc = zc or {}

--战斗类型
BattleType = {}
BattleType.PVE = 1              --副本
BattleType.ARENA = 2            --演武榜挑战
BattleType.WuShen_Tower = 3     --武神塔战斗
BattleType.DrillField = 4       --校场
BattleType.MultiCopy = 5        --多人副本
BattleType.TollgateHero = 6     -- 名将副本
BattleType.QunXiong = 7         -- 群雄挑战
BattleType.KaHei = 8           -- 切磋
BattleType.WorldBoss = 9        -- 世界boss
BattleType.CountryDartRob = 10  -- 劫镖
BattleType.WeaponCopy = 11      --兵器副本
BattleType.Wushenshilian = 12   --武神试练(新的爬塔)
BattleType.CountryDartWanted = 13 -- 押镖通缉
BattleType.LimitChallenge = 14 -- 挑战特训
BattleType.CountryGrabMine = 15 -- 国家抢矿
BattleType.GodFight = 16 -- 武神榜挑战
BattleType.GrabFight = 17 -- 抢粮
BattleType.HeroCopy = 18 --  英雄试炼

-- 布阵类型
MatrixType = {}
MatrixType.Default = 1          -- 默认布阵
MatrixType.ArenaDefence = 2     -- 演武榜防守阵容

-- 押镖品质
DartLevelConfig = {
    [1] = 1,
    [2] = 2,
    [3] = 4,
    [4] = 6,
}

StatisticsEvent = {
    EVENT_ACTIVATE = "event_activate",
    EVENT_REGISTER = "event_register",
    EVENT_PURCHASE = "event_purchase",
}

--[[
消息相关
网络相关
数学 字符串
]]
--[[
-----------------------------------------------------------------------------------------------------消息相关
]]
--注册的监听事件
CUSTOM_EVENT = {
    EVENT_BASEINFOCHANGE            = "event_baseInfoChange",    --顶部信息刷新
    EVENT_WUSHENTOWER               = "event_wushenTower",       --武神塔战斗
    EVENT_MULTICOPYTALK             = "event_multicopytalk",   --多人副本聊天
    EVENT_FIGHTCHANGE               = "event_fightChange",     -- 战斗力变化
    EVENT_REDORBUBBLE_CHANGE        = "event_redOrBubbleChange",     --红点气泡变化
    EVENT_MAICITY_CHANGE            = "event_maincity_change",     --红点气泡变化
    EVENT_ROLELAYER_CHANGE          = "event_roleLayer_change",  -- 主角界面红点变化
    EVENT_ROLELAYER_MAINROLE_CHANGE = "event_roleLayer_mainRole_change", -- 主角界面主角更换兵器
    EVENT_CHANGE_USER_HEAD          = "event_change_mainCity_hero_head", -- 更改主城主角头像
    EVENT_REFRESH_FRIENDINFO        = "event_refresh_friendInfo", -- 刷新好友界面数据
    EVENT_SELECT_SERVER             = "event_select_server",
    EVENT_REFRESH_FORM_SWEEP        = "event_refresh_from_sweep", --扫荡返回刷新数据
    EVENT_REFRESH_ELITE_TIME        = "event_refresh_elite_time", --精英挑战次数刷新数据
    EVENT_ACTIVITY_REDDOT           = "event_activity_reddot", -- 刷新活动界面的tab红点
    EVENT_UPDATE_MYDART             = "event_update_myDart",--  更新我的镖车信息
    EVENT_DART_ROBBED               = "event_dart_robbed",      -- 我的镖车被打劫
    EVENT_DART_START                = "event_dart_start",       -- 开始押镖
    EVENT_DART_TIMES                = "event_dart_times",       -- 更新主界面押镖次数
    EVENT_DART_AGREE_HELP           = "event_dart_agree_help",  -- 同意请求帮助界面
    EVENT_DART_AGREE_MAIN           = "event_dart_agree_main",  -- 同意请求主界面
    EVENT_ROLE_REFRESHEQUIP         = "event_role_refreshequip", -- 刷新装备
    EVENT_ROLE_REFRESHSKILL         = "event_role_refreshskill", -- 升星刷新技能
    EVENT_REFRESH_ROLE_POP          = "event_refresh_role_pop",  -- 刷新角色界面弹窗
    EVENT_REFRESH_WORLDBOSS_REWARD  = "event_refresh_worldBoss_reward", -- 刷新世界boss奖励
    EVENT_REFRESH_GEM               = "event_refresh_gem",  -- 刷新宝石界面
    EVENT_ROLE_SELECT_HERO_TAB      = "event_role_select_hero_tab", -- 选中武将和tab
    EVENT_RECHARGE_SUCCESS          = "event_recharge_success", -- 充值成功
    EVENT_VIP_CHANGED               = "event_vip_changed", -- vip改变
    EVENT_HOT_PACKAGE_BUY           = "event_hot_package_buy", -- 热卖礼包
    EVENT_GRABMINE_REFRESHUI        = "event_grebmine_refreshui", -- 抢矿界面数据刷新
    EVENT_GRABMINE_TALK             = "event_grebmine_talk", -- 抢矿队内聊天
    EVENT_ZHANFA_CHANGE             = "event_zhanfa_change", -- 战法功能的改变
    EVENT_HEROCOPY_CHANGE           = "event_herocopy_change", -- 英雄试炼。
    EVENT_TARGET_REDPOINT           = "event_target_redpoint",-- 目标活动
    EVENT_REFRESH_NAME_SELFINFO     = "event_refresh_name_selfInfo",  --刷新个人信息界面玩家名称
    EVENT_REFRESH_NAME_MAINCIGY     = "event_refresh_name_maincity",  --刷新主城界面玩家名称
    EVENT_TURNLAYER                 = "event_turnlayer",-- 转盘的通知
    EVET_GET_REWARD                 = "event_get_rewrad",-- 转盘领奖励
    EVENT_LIMINT_HOT                = "event_limit_hot",-- 限时热点
    EVENT_DANCHONG                  = "event_danchong", -- 单充
    EVENT_FOODSRED                  = "event_foodsred", -- 红点
    EVENT_JIEJIEGAO                 = "event_jiejiegao", -- 充值返利
    EVENT_DAZAO_SUCCESS             = "event_dazao_success", -- 打造成功
}


-- 颜色
zc.COLOR_RED = cc.c3b( 255, 54, 68 )
zc.COLOR_YELLOW = cc.c3b( 255, 234, 0 )
zc.COLOR_PURPLE = cc.c3b( 228, 0, 255 )
zc.COLOR_BLUE = cc.c3b( 0, 150, 255 )
zc.COLOR_GREEN = cc.c3b( 0, 255, 102 )
zc.COLOR_GRAY = cc.c3b( 197, 195, 197 )
zc.COLOR_BROWN = cc.c3b( 76, 18, 18 )
-- 系统字色改成美术字色
display.COLOR_RED = zc.COLOR_RED
display.COLOR_YELLOW = zc.COLOR_YELLOW
display.COLOR_PURPLE = zc.COLOR_PURPLE
display.COLOR_BLUE = zc.COLOR_BLUE
display.COLOR_GREEN = zc.COLOR_GREEN

--[[
-----------------------------------------------------------------------------------------------------网络相关
]]
--[[ 
    local defaluts = {
        apiName = "",
        sendType = ,
        params = {},
        successCallback = ,
        failCallback = ,
        errorCallback = ,
        isSilent = ,
    }
]]
function zc.sendHttp( params )
    local _apiName = params.apiName
    local _params = params.params or {}
    local _timeoutForRead = params.timeoutForRead
    local _successCallback = params.successCallback
    local _failCallback = params.failCallback
    local _errorCallback = params.errorCallback
    local _isSilent = params.isSilent
    local _type = params.sendType == nil and 0 or 1

    local _succCall = _type == 1 and _successCallback or function( result )
        if result.status ~= 0 then
            if _failCallback then
                _failCallback()
            end
        else
            if _successCallback then
                _successCallback(result.data)
            end
        end
    end
    
    local paramsStr = ""
    local paramNum = 0
    -- dump(params, "desciption, nesting")
    for k, v in pairs(_params) do
        if paramNum > 0 then
            paramsStr = paramsStr .. "&" .. k .. "=" .. v --string.urlencode(v)
        else
            --第一个
            paramsStr = paramsStr .. k .. "=" .. v
        end
        paramNum = paramNum+1
    end
    local requestPath = zc.getOpConfig(_apiName)
    if paramsStr ~= "" then
        requestPath = requestPath .. "&" .. paramsStr
    end
    local _userId = 0
    if PlayerData then
        _userId = tonumber(PlayerData:getBaseInfoByTag("userId")) or 0 
    end
    -- GAMETOKEN = "23c45b78e418940969ef23999e198680383bbd23"
    requestPath = requestPath .. "&tokenUid=" .. _userId .. "&key=".. tostring(GAMETOKEN) .. "&tss="..os.time()
    print("requestPath ======= ", requestPath)

    local loadingType = HTTP_LOADING_TYPE.CIRCLE
    if _isSilent == true then
        loadingType = HTTP_LOADING_TYPE.NONE
    end
    ZCHttp:requestAsyncWithParams({
        url = GAMEAPI.."?",
        postData = requestPath,
        timeoutForRead = _timeoutForRead,
        successCallback = function( data, url )
            if _succCall then _succCall(data, url) end
        end,--成功回调
        failedCallback = _failCallback,--失败回调
        errorCallback = _errorCallback,
        loadingType = loadingType,--加载图显示 circle 光圈加载 
    })
end


--[[
-----------------------------------------------------------------------------------------------------数学 字符串
]]

--成就等级划分
function zc.getAchieveTaskLevel()
    local _tb = {
        {1, 9},
        {10, 19},
        {20, 29},
        {30, 39},
        {40, 49},
        {50, 59},
        {60, 69},
        {70, 79},
        {80, 89},
        {90, 99},
    }
    local _level = PlayerData:getBaseInfoByTag("level")
    _level = tonumber(_level) or 1
    local _tag = nil
    for i=1, #_tb do
        if _level >= _tb[i][1] and _level <= _tb[i][2] then
            _tag = i
            break
        end
    end
    if not _tag then
        _tag = #_tb
    end
    return _tag
end

--获取倒计时的字符串 格式为：1天3小时2:01
function zc.getCdStringWithNumber(cd_num, dhm)
    --[[
        dhm代表分割符 d天 h小时 m分钟 默认是  天 小时 :
    ]]
    local day = zc.lang("date_day")
    local hour = ":"
    local min = ":"
    if dhm and dhm.d then
        day = dhm.d
    end
    if dhm and dhm.h then
        hour = dhm.h
    end
    if dhm and dhm.m then
        min = dhm.m
    end
    if not cd_num or tonumber(cd_num) <1 then
        return 0 
    else
        cd_num = tonumber(cd_num)
    end
    local cd_str = ""
    local function getcd_str(_cd_num)
         if _cd_num > 60*60*24 then 
            cd_str = cd_str.. math.floor(_cd_num/(60*60*24)) .. day
            _cd_num = _cd_num%(60*60*24)
        elseif  _cd_num > 60*60 then
           cd_str = cd_str.. math.floor(_cd_num/(60*60)) .. hour
            _cd_num = _cd_num%(60*60)
        elseif  _cd_num > 60 then
            local tmpStr = math.floor(_cd_num/60) > 9 and math.floor(_cd_num/60) or "0"..math.floor(_cd_num/60)
            cd_str = cd_str.. tmpStr .. min
            _cd_num = _cd_num%60
        end
        if _cd_num > 60 then
             getcd_str(_cd_num)
         else
            if _cd_num > 9 then
                cd_str = "00:"..cd_str.. _cd_num
            else
                cd_str = "00:"..cd_str.. "0".. _cd_num
            end
        end
    end
   getcd_str(cd_num)
   return cd_str 
end

--获取倒计时的字符串 格式为：1天3小时2:01
function zc.getNewCdStringWithNumber(cd_num, dhm)
    --[[
        dhm代表分割符 d天 h小时 m分钟 默认是  天 小时 :
    ]]
    local day = zc.lang("date_day")
    local hour = ":"
    local min = ":"
    if dhm and dhm.d then
        day = dhm.d
    end
    if dhm and dhm.h then
        hour = dhm.h
    end
    if dhm and dhm.m then
        min = dhm.m
    end
    if not cd_num or tonumber(cd_num) <1 then
        return 0 
    else
        cd_num = tonumber(cd_num)
    end
    local cd_str = ""
    local function getcd_str(_cd_num)
         if _cd_num > 60*60*24 then 
            cd_str = cd_str.. math.floor(_cd_num/(60*60*24))..":"
            _cd_num = _cd_num%(60*60*24)
        elseif  _cd_num > 60*60 then
           cd_str = cd_str.. math.floor(_cd_num/(60*60)) .. hour
            _cd_num = _cd_num%(60*60)

        elseif  _cd_num > 60 then
            local tmpStr = math.floor(_cd_num/60) > 9 and math.floor(_cd_num/60) or "0"..math.floor(_cd_num/60)
            cd_str = cd_str.. tmpStr .. min
            _cd_num = _cd_num%60
        end
        if _cd_num > 60 then
             getcd_str(_cd_num)
         else
            if _cd_num > 9 then
                cd_str = ""..cd_str.. _cd_num
            else
                cd_str = ""..cd_str.. "0".. _cd_num
            end
        end
    end
   getcd_str(cd_num)
   return cd_str 
end

--是否滑动是碰到
function zc.isTouchContainsPoint(node, touch)
    local point = node:convertToNodeSpace(touch)
    point.x = point.x * node:getScaleX()
    point.y = point.y * node:getScaleY()
    local s = node:getBoundingBox()
    local rect_ =  cc.rect(0, 0, s.width, s.height)
    local touchSize = node._touchSize
    if (touchSize ~= nil) and touchSize.width > 0 and touchSize.height > 0 then
        rect_ =  cc.rect( (node:getBoundingBox().width - touchSize.width) / 2 
            , (node:getBoundingBox().height - touchSize.height) / 2 , touchSize.width , touchSize.height)
    end
    if cc.rectContainsPoint( rect_, point ) then 
        return true
    else
        return false
    end
end
--碰撞检测
function zc.collisionDetection(node1, node2)
    return cc.rectIntersectsRect(node1:getBoundingBox(), node2:getBoundingBox())
end
-- 武将类型小图标
function zc.getHeroTypeImg(value)
    local _value = tonumber(value) or 1
    local _normal = "res/Main/hero/hero_type1.png"
    if _value > 0 and _value <= 6 then 
        _normal = "res/Main/hero/hero_type" .. _value .. ".png"
    end
    return _normal
end
-- 武将类型大图标
function zc.getHeroTypeBigImg( value )
    local _value = tonumber(value) or 1
    local _normal = "res/Main/hero/hero_type1.png"
    if _value > 0 and _value <= 6 then 
        _normal = "res/Main/role/common/weapon_icon_" .. _value .. ".png"
    end
    return _normal
end
function zc.getColorType(id)
    id = tonumber(id)
    if id == 1 then 
        return display.COLOR_WHITE
    elseif id == 2 then 
        return display.COLOR_GREEN
    elseif id == 3 then 
        return display.COLOR_BLUE
    elseif id == 4 then 
        return display.COLOR_PURPLE
    elseif id == 5 then 
        return display.COLOR_YELLOW
    elseif id == 6 then 
        return display.COLOR_RED
    else
        return display.COLOR_WHITE
    end
end

------读写文件
function zc.jsondecode(jsonData)
    local status, result = pcall(json.decode, jsonData)
    if status then return result end
end

--生成json
function zc.jsonencode(tab)
    local status, result = pcall(json.encode, tab)
    if status then return result end
end
function zc.LoadTable(fileName)
    local writablePath = zc.getWritablePath()
    local file = io.open(writablePath .. fileName .. ".json", "r")
    local table = {}
    if file ~= nil then
        assert(file)
        local readjson = file:read("*a") -- 读取所有内容
        table = zc.jsondecode(readjson) --转成原来存储前的格式
        file:close()
    end
    return table
end
function zc.SaveTable(fileName, data)
    local writablePath = zc.getWritablePath()
    local file = io.open(writablePath .. fileName .. ".json", "w")
    if file ~= nil then
        assert(file)
        local wirtjson = zc.jsonencode(data) --转换成json格式
        file:write(wirtjson)
        file:close();
    else
        print("写文件失败"..fileName)
    end
end

function zc.setGray(node, gray)
    if not node then
        return
    end
    if gray ~= nil and gray == false then
        node:setGLProgramState(cc.GLProgramState:getOrCreateWithGLProgramName("ShaderPositionTextureColor_noMVP"))
    else
        zc.setShader(node,"res/shader/gray.vsh","res/shader/gray.fsh")
    end
end

function zc.setShader(node,vsh,fsh)
    local glProgram = cc.GLProgramCache:getInstance():getGLProgram(vsh)
    if glProgram == nil then
        local pProgram = cc.GLProgram:create(vsh,fsh)
        pProgram:bindAttribLocation(cc.ATTRIBUTE_NAME_POSITION,cc.VERTEX_ATTRIB_POSITION)
        pProgram:bindAttribLocation(cc.ATTRIBUTE_NAME_COLOR,cc.VERTEX_ATTRIB_COLOR)
        pProgram:bindAttribLocation(cc.ATTRIBUTE_NAME_TEX_COORD,cc.VERTEX_ATTRIB_FLAG_TEX_COORDS)
        pProgram:link()
        pProgram:updateUniforms()
        cc.GLProgramCache:getInstance():addGLProgram(pProgram,vsh)
        glProgram = cc.GLProgramCache:getInstance():getGLProgram(vsh)
        -- print("添加shader:["..vsh.."]")
    else
        -- print("找到shader:["..vsh.."]")
    end
    node:setGLProgram(glProgram)
end

function zc.sortFromMiddle( midPos, count, distance )
    local posX = midPos.x;
    local posY = midPos.y;
    local bEven = count % 2;
    local tabPos = {};
    local tmpPos = cc.p(0, 0);
    -- 对avator btn进行排序
    if bEven == 0 then
        -- odd 从中间的x-1, x 分别想两边排列
        -- 向左排
        for i = count/2,  1, -1 do
            if i == count/2 then
                tmpPos = cc.p(posX-distance/2, posY);
            else
                tmpPos = cc.p(tabPos[i+1].x-distance, posY);
            end
            tabPos[i] = tmpPos;
        end
        -- 向右排
        for i = count/2+1,  count do
            if i == count/2+1 then
                tmpPos = cc.p(posX+distance/2, posY);
            else
                tmpPos = cc.p(tabPos[i-1].x+distance, posY);
            end
            tabPos[i] = tmpPos;
        end
    else
        -- odd
        local midIndex = math.ceil(count/2);  -- 向上取整
        -- 向左排
        for i = midIndex,  1, -1 do
            if i == midIndex then
                tmpPos = cc.p(posX, posY);
            else
                tmpPos = cc.p(tabPos[i+1].x-distance, posY);
            end
            tabPos[i] = tmpPos;
        end
        -- 向右排
        for i = midIndex+1,  count do
            tmpPos = cc.p(tabPos[i-1].x+distance, posY);
            tabPos[i] = tmpPos;
        end
    end
    return tabPos;
end

--[[--
--获取utf8编码字符串正确长度的方法
]]
function zc.utfstrlen(str)
    local len = #str;
    local left = len;
    local cnt = 0;
    local arr={0,0xc0,0xe0,0xf0,0xf8,0xfc};
    while left ~= 0 do
        local tmp=string.byte(str,-left);
        local i=#arr;
        while arr[i] do
            if tmp>=arr[i] then left=left-i;break;end
            i=i-1;
        end
        cnt=cnt+1;
    end
    return cnt;
end


function zc.table2json(t)  
    local function serialize(tbl)  
            local tmp = {}  
            for k, v in pairs(tbl) do  
                    local k_type = type(k)  
                    local v_type = type(v)  
                    local key = (k_type == "string" and "\"" .. k .. "\":")  
                        or (k_type == "number" and "")  
                    local value = (v_type == "table" and serialize(v))  
                        or (v_type == "boolean" and tostring(v))  
                        or (v_type == "string" and "\"" .. v .. "\"")  
                        or (v_type == "number" and v)  
                    tmp[#tmp + 1] = key and value and tostring(key) .. tostring(value) or nil  
            end  
            if table.maxn(tbl) == 0 then  
                    return "{" .. table.concat(tmp, ",") .. "}"  
            else  
                    return "[" .. table.concat(tmp, ",") .. "]"  
            end  
    end  
    assert(type(t) == "table")  
    return serialize(t)
end 

function zc.writeLog( data, isHttp, responseType, postData )
    --记录log
    if APP_ENV ~= "dev" then
        return
    end
    local path = zc.getWritablePath()
    local info = ""
    if not isHttp then
        path = path .. "testSocket.data"
        xpcall(function()
            info = zc.table2json(data)
        end, function() end)  
    end
    if info == "" then
        return
    end
    cc.FileUtils:getInstance():writeStringToFile(info, path)
    -- io.writefile(path, info, "wr")    
end

--判断字符串长度及汉字
function zc.stringLen( str )
    local len  = #str
    local left = 0
    local arr  = {0, 0xc0, 0xe0, 0xf0, 0xf8, 0xfc}
    local t = {}
    local start = 1
    local wordLen = 0
    local strLen = 0
    while len ~= left do
        local tmp = string.byte(str, start)
        local i   = #arr
        while arr[i] do
            if tmp >= arr[i] then
                break
            end
            i = i - 1
        end
        if i >=2 then
            strLen = 2 + strLen
        else
            strLen = 1 + strLen
        end

        wordLen = i + wordLen
        local tmpString = string.sub(str, start, wordLen)
        start = start + i
        left = left + i
        t[#t + 1] = tmpString
    end

    return strLen, t
end

--兵器战斗力计算
function zc.calculateCombatValue(_weaponData)
    local _combatValue = 0

    local infConfig = {
            atk = 0,
            def = 0,
            hp = 0,
            miss = 0,   --闪避
            seethrough = 0, --识破
            hit = 0, --命中
            accurate = 0, --精准
            atkAdd = 0, --伤害加成
            atkDis = 0, --伤害减免
            crit = 0, --暴击
            disCrit = 0, --抗暴
            critHurt = 0, --暴伤
            hpAdd = 0, --生命加成
        }

    if _weaponData then

        --基础属性
        for i = 1, 6 do
            local effectInfo = _weaponData["effectInfo"..i]
            if effectInfo and effectInfo["effectId"] and tonumber(effectInfo["effectId"]) > 0 then
                --熟练度加成
                local addValue = PlayerData:getSkilfulAddInfoByEffectId(1, effectInfo["effectId"], _weaponData.quality)
                
                if tonumber(effectInfo["effectId"]) == 6 or tonumber(effectInfo["effectId"]) == 10 or tonumber(effectInfo["effectId"]) == 30 then
                    infConfig["atk"] = infConfig["atk"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0)   --攻击
                elseif tonumber(effectInfo["effectId"]) == 8 or tonumber(effectInfo["effectId"]) == 12 then   
                    infConfig["def"] = infConfig["def"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --策防，物防
                elseif tonumber(effectInfo["effectId"]) == 31 then
                    infConfig["def"] = infConfig["def"] + addValue*2 + (tonumber(_weaponData["effectValue"..i]) or 0)*2 --防御
                elseif tonumber(effectInfo["effectId"]) == 4 then
                    infConfig["hp"] = infConfig["hp"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --血量
                elseif tonumber(effectInfo["effectId"]) == 15 then
                    infConfig["miss"] = infConfig["miss"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --闪避
                elseif tonumber(effectInfo["effectId"]) == 17 then
                    infConfig["seethrough"] = infConfig["seethrough"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --识破
                elseif tonumber(effectInfo["effectId"]) == 14 then
                    infConfig["hit"] = infConfig["hit"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --命中
                elseif tonumber(effectInfo["effectId"]) == 16 then
                    infConfig["accurate"] = infConfig["accurate"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --精准
                elseif tonumber(effectInfo["effectId"]) == 23 then
                    infConfig["atkAdd"] = infConfig["atkAdd"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --伤害加成
                elseif tonumber(effectInfo["effectId"]) == 24 then
                    infConfig["atkDis"] = infConfig["atkDis"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --伤害减免
                elseif tonumber(effectInfo["effectId"]) == 18 then
                    infConfig["crit"] = infConfig["crit"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --暴击
                elseif tonumber(effectInfo["effectId"]) == 20 then
                    infConfig["disCrit"] = infConfig["disCrit"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --抗暴
                elseif tonumber(effectInfo["effectId"]) == 19 then
                    infConfig["critHurt"] = infConfig["critHurt"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --暴伤
                elseif tonumber(effectInfo["effectId"]) == 5 then
                    infConfig["hpAdd"] = infConfig["hpAdd"] + addValue + (tonumber(_weaponData["effectValue"..i]) or 0) --生命加成
                end
            end
        end
        --附加属性
        for i = 1, 6 do
            local teffectId = tonumber(_weaponData["teffectId"..i])
            if teffectId and teffectId > 0 then
                local addValue = PlayerData:getSkilfulAddInfoByEffectId(2, teffectId, _weaponData.quality)

                if teffectId == 6 or teffectId == 10 or teffectId == 30 then
                    infConfig["atk"] = infConfig["atk"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 )   --攻击
                elseif teffectId == 8 or teffectId == 12 then   
                    infConfig["def"] = infConfig["def"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --策防，物防
                elseif teffectId == 31 then
                    infConfig["def"] = infConfig["def"] + addValue*2 + (tonumber(_weaponData["teffectValue"..i]) or 0 )*2 --防御
                elseif teffectId == 4 then
                    infConfig["hp"] = infConfig["hp"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --血量
                elseif teffectId == 15 then
                    infConfig["miss"] = infConfig["miss"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --闪避
                elseif teffectId == 17 then
                    infConfig["seethrough"] = infConfig["seethrough"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --识破
                elseif teffectId == 14 then
                    infConfig["hit"] = infConfig["hit"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --命中
                elseif teffectId == 16 then
                    infConfig["accurate"] = infConfig["accurate"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --精准
                elseif teffectId == 23 then
                    infConfig["atkAdd"] = infConfig["atkAdd"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --伤害加成
                elseif teffectId == 24 then
                    infConfig["atkDis"] = infConfig["atkDis"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --伤害减免
                elseif teffectId == 18 then
                    infConfig["crit"] = infConfig["crit"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --暴击
                elseif teffectId == 20 then
                    infConfig["disCrit"] = infConfig["disCrit"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --抗暴
                elseif teffectId == 19 then
                    infConfig["critHurt"] = infConfig["critHurt"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --暴伤
                elseif teffectId == 5 then
                    infConfig["hpAdd"] = infConfig["hpAdd"] + addValue + (tonumber(_weaponData["teffectValue"..i]) or 0 ) --生命加成
                end
            end
        end
    end

    local result = infConfig.atk*5 + infConfig.def*2.5 + infConfig.hp*0.5 + ( (infConfig.miss + infConfig.seethrough)/2 
        + infConfig.hit + infConfig.accurate + (infConfig.atkAdd + infConfig.atkDis)*0.8 +
        (infConfig.crit + infConfig.disCrit)*0.4 + infConfig.critHurt/4 + infConfig.hpAdd/2 )*20000

    return math.ceil(result)

end


--属性战斗力系数
function zc.attrCompareFormula(type,_value,_isMain)
    local _type = type
    if not _type then
        return 0
    end
    if not _isMain then --如果是饰品附加属性，从饰品附加属性表中取属性类型
        local _data = gameData.getDataFromCacheWithPrimaryKey("trinket_effectType", _type)
        if next(_data) ~= nil then
            _type = _data.effectType
        end
    end
    local _ratio = 1
    if tonumber(_type) == 1 then       --武力
        _ratio = 1.5
    elseif tonumber(_type) == 2 then   --智力
        _ratio = 1.5
    elseif tonumber(_type) == 3 then   --体力
        _ratio = 1.5
    elseif tonumber(_type) == 4 then   --生命值
        _ratio = 0.5
    elseif tonumber(_type) == 5 then   --生命加成
        _ratio = 0
    elseif tonumber(_type) == 6 then   --物攻
        _ratio = 2.5
    elseif tonumber(_type) == 7 then   --物攻加成
        _ratio = 0
    elseif tonumber(_type) == 8 then   --物防
        _ratio = 5
    elseif tonumber(_type) == 9 then   --物防加成
       _ratio = 0
    elseif tonumber(_type) == 10 then  --策攻
        _ratio = 2.5
    elseif tonumber(_type) == 11 then  --策攻加成
       _ratio = 0
    elseif tonumber(_type) == 12 then  --策防
        _ratio = 5
    elseif tonumber(_type) == 13 then  --策防加成
        _ratio = 0
    elseif tonumber(_type) == 14 then  --命中率
        _ratio = 20000
    elseif tonumber(_type) == 15 then  --闪避率
        _ratio = 20000
    elseif tonumber(_type) == 16 then  --精准率
        _ratio = 22000
    elseif tonumber(_type) == 17 then  --识破率
        _ratio = 22000
    elseif tonumber(_type) == 18 then  --暴击率
        _ratio = 30000
    elseif tonumber(_type) == 19 then  --暴击伤害
        _ratio = 4000
    elseif tonumber(_type) == 20 then  --抗暴率
        _ratio = 30000
    elseif tonumber(_type) == 21 then  --晕眩率
        _ratio = 200
    elseif tonumber(_type) == 22 then  --抗晕率
        _ratio = 200
    elseif tonumber(_type) == 23 then  --伤害加深
        _ratio = 200
    elseif tonumber(_type) == 24 then  --伤害减免
        _ratio = 200
    elseif tonumber(_type) == 25 then  --技能伤害加深
        _ratio = 200
    elseif tonumber(_type) == 26 then  --技能伤害减免
        _ratio = 200
    elseif tonumber(_type) == 27 then  --初始士气
        _ratio = 200
    elseif tonumber(_type) == 28 then  --抗清气率
        _ratio = 200
    elseif tonumber(_type) == 29 then  --反伤率
        _ratio = 200
    elseif tonumber(_type) == 30 then  --全部攻击
        _ratio = 2.5
    elseif tonumber(_type) == 31 then  --全部防御
        _ratio = 5
    elseif tonumber(_type) == 32 then  --全部攻击百分比
        _ratio = 0
    elseif tonumber(_type) == 33 then  --全部防御百分比
        _ratio = 0
    elseif tonumber(_type) == 34 then  --速度
        _ratio = 1
    end
    if _value == "?" then _value = 0 end
    return _ratio * tonumber(_value)
end


function zc.getEquipAttriNameByEffectType( type, isMain, isWeapon)
    local _type = type
    if not isMain and not isWeapon then
        local _data = gameData.getDataFromCacheWithPrimaryKey("trinket_effectType", _type)
        if next(_data) ~= nil then
            _type = _data.effectType
        end
    elseif not isMain and  isWeapon then
        local _data = gameData.getDataFromCacheWithPrimaryKey("weapon_effect", _type)
        if next(_data) ~= nil then
            _type = _data.effectId
        end
    end
    local str = zc.lang("wuli")  
    if tonumber(_type) == 1 then   
        str = zc.lang("wuli") 
    elseif tonumber(_type) == 2 then  
        str = zc.lang("wisdom")
    elseif tonumber(_type) == 3 then  
        str = zc.lang("tili")
    elseif tonumber(_type) == 4 then  
        str = zc.lang("hp")
    elseif tonumber(_type) == 5 then  
        str = zc.lang("hp_add")
    elseif tonumber(_type) == 6 then  
        str = zc.lang("physics_attack")
    elseif tonumber(_type) == 7 then  
        str = zc.lang("physics_attack_add")
    elseif tonumber(_type) == 8 then  
        str = zc.lang("physics_defense")
    elseif tonumber(_type) == 9 then  
        str = zc.lang("physics_defense_add")
    elseif tonumber(_type) == 10 then  
        str = zc.lang("strategy_attack")
    elseif tonumber(_type) == 11 then  
        str = zc.lang("strategy_attack_add")
    elseif tonumber(_type) == 12 then  
        str = zc.lang("strategy_defense")
    elseif tonumber(_type) == 13 then  
        str = zc.lang("strategy_defense_add")
    elseif tonumber(_type) == 14 then  
        str = zc.lang("hit_rate")
    elseif tonumber(_type) == 15 then  
        str = zc.lang("dodge_rate")
    elseif tonumber(_type) == 16 then  
        str = zc.lang("accurate_rate")
    elseif tonumber(_type) == 17 then  
        str = zc.lang("see_through_rate")
    elseif tonumber(_type) == 18 then  
        str = zc.lang("crit_rate")
    elseif tonumber(_type) == 19 then  
        str = zc.lang("crit_hurt")
    elseif tonumber(_type) == 20 then  
        str = zc.lang("anti_crit_rate")
    elseif tonumber(_type) == 21 then  
        str = zc.lang("vertigo_rate")
    elseif tonumber(_type) == 22 then  
        str = zc.lang("anti_yun_rate")
    elseif tonumber(_type) == 23 then  
        str = zc.lang("hurt_deep")
    elseif tonumber(_type) == 24 then  
        str = zc.lang("hurt_reduction")
    elseif tonumber(_type) == 25 then  
        str = zc.lang("skill_hurt_deep")
    elseif tonumber(_type) == 26 then  
        str = zc.lang("skill_hurt_reduction")
    elseif tonumber(_type) == 27 then  
        str = zc.lang("init_shiqi")
    elseif tonumber(_type) == 28 then  
        str = zc.lang("anti_air_rate")
    elseif tonumber(_type) == 29 then  
        str = zc.lang("rebound_hurt_rate")
    elseif tonumber(_type) == 30 then  
        str = zc.lang("attack")
    elseif tonumber(_type) == 31 then  
        str = zc.lang("defense_force")
    elseif tonumber(_type) == 32 then  
        str = zc.lang("attack")
    elseif tonumber(_type) == 33 then  
        str = zc.lang("defense_force")
    elseif tonumber(_type) == 34 then
        str = zc.lang("speed")
    end
    return str
end

--获取资源类型
function zc.getResourceType(type)
    local str = nil
    local str1 = nil
    if tonumber(type) == 1 then    --元宝
        str = "gold" 
        str1 = zc.lang("gold")
    elseif tonumber(type) == 2 then  --银币
        str = "money"
        str1 = zc.lang("money")
    elseif tonumber(type) == 3 then  --声望
        str = "prestige"
        str1 = zc.lang("prestige")
    elseif tonumber(type) == 4 then  --蓝宝石
        str = "sapphire"
        str1 = zc.lang("sapphire")
    elseif tonumber(type) == 5 then  --黄宝石
        str = "topaz"
        str1 = zc.lang("topaz")
    elseif tonumber(type) == 6 then  --紫宝石
        str = "amethyst"
        str1 = zc.lang("amethyst")
    elseif tonumber(type) == 7 then  --体力
        str = "energy"
        str1 = zc.lang("energy")
    elseif tonumber(type) == 8 then  --税金
        str = "tax"
        str1 = zc.lang("tax")
    elseif tonumber(type) == 9 then    --木材
        str = "wood" 
        str1 = zc.lang("wood")
    elseif tonumber(type) == 10 then  --铁矿
        str = "ore"
        str1 = zc.lang("ore")
    elseif tonumber(type) == 11 then  --武魂
        str = "heroSoul"
        str1 = zc.lang("heroSoul")
    elseif tonumber(type) == 12 then  --名将册体力
        str = "captainEnergy"
        str1 = zc.lang("captainEnergy")
    elseif tonumber(type) == 13 then  --武将技能点
        str = "skillPoint"
        str1 = zc.lang("skillPoint")
    elseif tonumber(type) == 17 then  --粮食
        str = "grain"
        str1 = zc.lang("grain")
    end
    return str,str1
end


------------------------------------------------------------
--为兵器图片添加特效
function zc.showWeaponEffect(_sprite, weaponId)
    local _weaponId = weaponId == nil and 0 or weaponId
    local _modelId = 0
    local _weapon_effect = 0

    local _data = gameData.getDataFromCacheWithPrimaryKey("weapon", _weaponId)
    if next(_data) ~= nil then
        _modelId = _data.modelId
        _weapon_effect = _data.weaponEffect
    end

    _sprite:setOpacity(255)
    if _weapon_effect and _weapon_effect ~= "" and tonumber(_weapon_effect) ~= 0 then
        local armature = zc.createAnimationArmature({
            fileName = _weapon_effect,
            autoRelease = true
        })
        armature:getAnimation():playWithIndex(0)
        armature:setPosition(cc.p(_sprite:getContentSize().width/2,_sprite:getContentSize().height/2))
        _sprite:addChild(armature)
        _sprite:setOpacity(0)
    end
end

--武将更换兵器
function zc.soldierChangeWeapon(armature, _weaponId)
    local _weaponId = _weaponId
    if not _weaponId or tonumber(_weaponId) == 0 then
        return
    end
    local ret = nil
    --[[处理兵器begin]]
    if armature:getBone("weapons") then
        local weapon_data = gameData.getDataFromCacheWithPrimaryKey("weapon", _weaponId)
        if weapon_data and next(weapon_data) ~= nil then
            local _modelId = weapon_data.modelId
            local _weapon_effect = weapon_data.weaponEffect
            if  tonumber(_modelId) == 0 then

            else
                local _src = string.format("res/Main/weapon/weaponImage/%s.png",_modelId)
                -- print("===_src====",_src)
                local skin = ccs.Skin:create()
                if cc.FileUtils:getInstance():isFileExist(_src) == true then
                    skin = ccs.Skin:create(_src)
                end
                local weapons_bone = armature:getBone("weapons")
                weapons_bone:addDisplay(skin, 0)--[[--index]]
                weapons_bone:changeDisplayWithIndex(0, true)
                -- _weapon_effect = 34
                print("--_weapon_effect---",_weapon_effect)
                if _weapon_effect and _weapon_effect ~= "" then
                    -- local _r        = skin:getRotationSkewX()
                    -- local _zOrder    = armature:getBone("weapons"):getLocalZOrder()
                    local image     = tostring(_weapon_effect)
                    local csbFullName = "res/animation/" .. image .. "/" .. image .. ".csb"
                    if cc.FileUtils:getInstance():isFileExist(csbFullName) then
                        ret = csbFullName
                        local tmp_armature = zc.createAnimationArmature({
                            fileName = image,
                            autoRelease = true
                        })
                        -- ccs.ArmatureDataManager:getInstance():addArmatureFileInfo(csbFullName)
                        print("--_weapon_csbFullName---",csbFullName)
                        -- local tmp_armature = ccs.Armature:create(image)
                        if tmp_armature then
                            tmp_armature:getAnimation():playWithIndex(0)
                            -------处理兵器偏移 兵器与特效做到一起--------
                            -- tmp_armature:setRotation(_r)
                            weapons_bone:addDisplay(tmp_armature,1) 
                            weapons_bone:changeDisplayWithIndex(1, true)
                            weapons_bone:setIgnoreMovementBoneData(true)
                        else
                            print("!!!!!!!!!!!!!!_weapon_error!!!!!!!!!!!!!!不存在",csbFullName)
                        end
                    end
                end
            end 
        end
    else
        print("不存在weapons******************************************")
    end
    return ret
end