--  Created by zhangchao on 16-11-26.
local zhugeliang = class("zhugeliang", function ( params )
	local hero = BattleHero.new(params)
	return hero
end)

function zhugeliang:create(params)
	return zhugeliang.new(params)
end

local armature = nil
local csbs = nil
function zhugeliang:ctor(params)
	armature = nil
	csbs = {"zhugeliang_atk3"}
	self._fit2SkillId = 343
	self:preloadCsbs(csbs)
end

function zhugeliang:getCsbFiles()
	return csbs
end
function zhugeliang:doAttack(params)
	local skillType 	= params.skillType
	local process 		= params.process
	local evt     		= params.evt
	local hurtTargets   = params.hurtTargets
	local _targets_   	= params._targets_
	local endFunction   = params.endFunction

	local runningScene 	= cc.Director:getInstance():getRunningScene()
	if skillType == BATTLE_SKILL_TYPE.ATK then
		local _fileName = "zhugeliang"
		local _actName  = "atk_1"
		-- if skillType == BATTLE_SKILL_TYPE.SUPER then
		-- 	_actName  = "atk3"
		-- end
		local flag = 0
		local ret = self:isSkillEventAllDone(skillType,evt)
		for k,hero in pairs(hurtTargets) do
			local point  		= hero:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
		    local armature = zc.battle.createBattleEffect({fileName = _fileName , actName = _actName , loop = true, moveCallback = function (armatureBack,movementType,movementID)
                if movementType == ccs.MovementEventType.complete and (movementID == "atk_1" ) then
                    xpcall(function() armatureBack:removeFromParent() end, function ()
                            print("armatureBack已被删除")
                        end)
                end
            end})
		    armature:setPosition(self:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene))
		    if self:getSide() == BATTLE_SIDE.LEFT then
		    	armature:setScaleX(-1 * armature:getScaleX())
		    end
		    local _arrow = armature
			--起始位置
			local _targetSlot    	= cc.p(self:getPositionX(),self:getPositionY())
			--目标位置
			local endPos 			= point
			--计算角度
			-- 判定斜率,非弓箭状态
			local deltaY = endPos.y - _targetSlot.y;
			local deltaX = endPos.x - _targetSlot.x;
			local angel = deltaX > 0 and 0 or 180;
			local K = deltaY / deltaX;
			if deltaX ~= 0 then
				-- _arrow:setRotation(angel-CC_RADIANS_TO_DEGREES(math.atan(K)));
			end
			local pos_delta = cc.pGetDistance(endPos, _targetSlot)
			local dt = zc.getDynamicTime(pos_delta, 3000)
			flag = flag + 1
			local _tmp_ = flag
			_arrow:runAction(cc.Sequence:create(cc.MoveTo:create(dt,endPos),cc.CallFunc:create(function()
				if skillType == BATTLE_SKILL_TYPE.SUPER then
					armature:getAnimation():play("atk3_1")
				elseif skillType == BATTLE_SKILL_TYPE.ATK then
					xpcall(function() armature:removeFromParent() end, function ()
                            print("armatureBack已被删除")
                        end)
				end
	    		hero:playAction(BATTLE_ANIMATION_ACTION.DEFENSE)
	    		if ret and _tmp_ == 1 then
	    			print("结束"..tostring(math.random(0,10)))
	    			self:doHurt(params)
	    		end
			end)))
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_PLAY_EFFECT,
				data = {node = _arrow, zorder = hero:getLocalZOrder() + 2},
			})
		end
	elseif skillType == BATTLE_SKILL_TYPE.SUPER then

		performWithDelay(self,function()
			local xlPoint  	= self:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
		    local xlArmature 	= zc.battle.createBattleEffect({fileName = "zhugeliang_fit2" , actName = "fit2_juqi", loop = false, autoRemove = false})
		    xlArmature:setPosition(xlPoint)
		    local _justX = 100
		    if self:getSide() == BATTLE_SIDE.LEFT then
		    	xlArmature:setScaleX(-1)
		    	_justX = -100
		    end
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_PLAY_EFFECT,
				data = {node = xlArmature, zorder = self:getLocalZOrder() + 100},
			})
			performWithDelay(self,function()
				local fhPoint  	= self:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
				fhPoint.y = fhPoint.y + 100
				fhPoint.x = fhPoint.x + _justX
			    xlArmature:setPosition(fhPoint)
	    	    xlArmature:getAnimation():play("fit2_fh", -1, 0)

	    	    local _arrow 		= xlArmature
				--起始位置
				local _targetSlot   = fhPoint

				--目标位置
				local endPosY  	= fhPoint.y
				local oneTarget = hurtTargets[1]
				local endPosX
				if oneTarget then
					endPosX = oneTarget:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene).x + _justX
				else
					endPosX = zc.width / 2
				end
				  	
				local endPos 		= cc.p(endPosX, endPosY)
				--计算角度
				-- 判定斜率,非弓箭状态
				local deltaY = endPos.y - _targetSlot.y;
				local deltaX = endPos.x - _targetSlot.x;
				local angel = deltaX > 0 and 0 or 180;
				local K = deltaY / deltaX;
				if deltaX ~= 0 then
					-- _arrow:setRotation(angel-CC_RADIANS_TO_DEGREES(math.atan(K)));
				end
				local pos_delta = cc.pGetDistance(endPos, _targetSlot)
				local dt = zc.getDynamicTime(pos_delta, 2000)
				_arrow:runAction(cc.Sequence:create(cc.DelayTime:create(0.3),cc.MoveTo:create(dt,endPos),cc.DelayTime:create(0),cc.FadeOut:create(0.2), cc.CallFunc:create(function()
					local _eIndex = 0
					for e, enemy in pairs(hurtTargets) do
						_eIndex = _eIndex + 1
						local ePoint  	= enemy:getSlotPositionInNode(BATTLE_BONE_NAME.MID,runningScene)
						local armature_bao = zc.battle.createBattleEffect({fileName = "zhugeliang_fit2", actName = "fit2_bao", completeCallback = function( )						
							zc.dispatchEvent({ name = EVENT_NAME_BATTLE_SCREEN_DIM_DISMISS })
						end})
						if _eIndex == table.nums(hurtTargets) then
						    armature_bao:getAnimation():setFrameEventCallFunc(function ( bone, evt, originFrameIndex, currentFrameIndex)
						    	zc.battle.doShockAndFlash(evt)
						    	--[[每次受击]]
						        if string.find(evt,"do_fit_hit") then
		        					params.evt = evt
									self:doHurt(params)
									if evt == "do_fit_hit5" then
										if endFunction then
											performWithDelay(self, function()
												endFunction()
											end, 0.5 )
										end
									end
						        end
						    end)
						end
					    armature_bao:setPosition( ePoint )
					    if self:getSide() == BATTLE_SIDE.LEFT then
					    	armature_bao:setScaleX(-1)
					    end
					    zc.dispatchEvent({
							name = EVENT_NAME_BATTLE_PLAY_EFFECT,
							data = {node = armature_bao , zorder = enemy:getLocalZOrder() + 1},
						})
					end
				end),cc.RemoveSelf:create(true)))
			end, 0.8 )
		end, 0.3)
	elseif skillType == BATTLE_SKILL_TYPE.FIT then
		if self._isFit2 then
			self:doHurt(params)
			return
		end
		local ePoint  	= zc.battle.getInitialMatrixPoint({side=self:getSide(), position=8})
		local oneTarget = hurtTargets[1]
		local _posX = oneTarget:getPositionX() or zc.width/2
		if self:getSide() == BATTLE_SIDE.LEFT then
			ePoint.x = _posX - 500
		else
			ePoint.x = _posX + 500
		end

		local Fit_atk = zc.battle.createBattleEffect({fileName = "zhugeliang", actName = "Fit_atk", autoRemove = true,completeCallback = function( )						
			zc.dispatchEvent({ name = EVENT_NAME_BATTLE_SCREEN_DIM_DISMISS })
		end})
	    Fit_atk:getAnimation():setFrameEventCallFunc(function ( bone, evt, originFrameIndex, currentFrameIndex)
	    	zc.battle.doShockAndFlash(evt)
	    	--[[每次受击]]
	        if string.find(evt,"do_fit_hit") then
	        	params.evt = evt
				self:doHurt(params)
				if evt == "do_fit_hit8" then
					if endFunction then
						performWithDelay(self, function()
							endFunction()
						end, 0.5 )
					end
				end
	        end

	    end)
	    Fit_atk:setPosition( ePoint )
	    if self:getSide() == BATTLE_SIDE.LEFT then
	    	Fit_atk:setScaleX(-1)
	    end
	    zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = Fit_atk , zorder = self:getLocalZOrder() + 100},
		})
	else
		self:doHurt(params)
	end
end
function zhugeliang:isAttackEvent(evt)
	local attackEvt = false
	if evt == "do_atk3_begin" then
		attackEvt = true
	else
		if evt == "do_atk3_hit" then

		else
			if string.find(evt,"hit") then
				attackEvt = true
			end
		end
	end
	return attackEvt
end
function zhugeliang:getAttackPoint(skillType,targetHero)
	local rect 			= BATTLE_BONE_NAME.RECT_ATK
	if skillType == 1 then --1.普通攻击
    elseif skillType == 2 then --2.小技能 
        rect 			= BATTLE_BONE_NAME.RECT_ATK0
    elseif skillType == 3 then--3.士气技能 大招
        rect 			= BATTLE_BONE_NAME.RECT_SUPER
    elseif skillType == 4 then
        --4.合体技
    end
    local pos 		= nil
	local tmp_side 	= self:getSide()
    pos 			= zc.battle.getInitialMatrixPoint({side = tmp_side , position = 5})
    local x 		= targetHero:getPositionX()
    
    local diff_x 	= 450
    if tmp_side == BATTLE_SIDE.LEFT then
    	diff_x 		= -1 * diff_x
    end
    pos.x 			= x + diff_x
	return pos
end

function zhugeliang:shouldMoveAttack(atkName)
	local ret = false
	if atkName == BATTLE_ANIMATION_ACTION.SUPER then
		ret = true
	end
	return ret
end
function zhugeliang:getSkillHurtCount(skillType)
	local count = 1
	if skillType == BATTLE_SKILL_TYPE.SUPER then
		count = 6
	elseif skillType == BATTLE_SKILL_TYPE.FIT then
		count = self._isFit2 and 5 or 9
	end
	return count
end

--技能触发伤害，
function zhugeliang:isSkillEventAllDone(skillType,evt)
	if skillType == BATTLE_SKILL_TYPE.FIT and not self._isFit2 then
		if evt == "do_fit_hit8" then
			return true
		else
			return false
		end
	elseif skillType == BATTLE_SKILL_TYPE.SUPER then
		if evt == "do_fit_hit5" then
			return true
		else
			return false
		end
	else
		local ret 	= true
		local count = self:getSkillHurtCount(skillType)
		if count > 1 and evt then
			-- print("isSkillEventAllDone  evt="..tostring(evt))
			if not string.find(evt,"hit"..tostring(count)) then
				ret = false
		    end 
		end
		-- 被打断了
		if self._interrupted then
			ret = true
		end
		return ret
	end
end
function zhugeliang:showDefenseEffect(params)
	local skillType = params.skillType
	local hero 		= params.hero
    
    if skillType == BATTLE_SKILL_TYPE.ATK0 then
    	hero:playAction(BATTLE_ANIMATION_ACTION.DEFENSE)
	else
		self:showCommonDefenseEffect(params)
    end
end

function zhugeliang:doBuffAnimation( params )
	local buff_type	 			= params.buff_type--buff 类型(对应下面的类型)
	local buff_show_type 		= params.buff_show_type--展示类型：1添加一个新buff，2销毁一个buff
	local buff_affect_targets	= params.buff_affect_targets--BUFF作用目标战斗单位的ID列表
	local shiled_value       	= params.shiled_value
	local targetHero       		= params.targetHero
	local name 					= tostring(buff_type)

	if buff_type == 44 then
		local _oldValue = shiled_value[#shiled_value]
		if tonumber(_oldValue) ~= 0 then
			local data 				= {id = _oldValue}
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_GET_TARGET_BY_ID,
				data = data,
			})
			local targetHero 		= data.target
			if targetHero then
				targetHero:die()
			end
		end

		local data 	= {}
		zc.dispatchEvent({name = EVENT_NAME_BATTLE_GET_ALL_HEROES,data = data})
		local all_heroes 	= data.heroes

		local armature = BattleHero:createWithParams({heroData = shiled_value})
		armature:playAction("start")
		all_heroes[#all_heroes + 1] = armature
		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature, zorder = armature:getInitialZOrder()},
		})
		return true
	end
end

function zhugeliang:getFitSkillSrc()
	local fitSrc = {
		-- 技能名动画
		beijing = "bejing",
		skeletonActName = "zhugeliang",
		name = "zhugeliang",
		heroActName = "idle",
		-- 合体技特效
		-- fileName = "zhugeliang_fit2",
		-- actName = "fit2_juqi",
		--是否需要特殊处理合体技能
		specialHandle = true,
	}
	if self._isFit2 then
		fitSrc.fileName = "zhugeliang_Fit0_A2"
		fitSrc.actName = "Fit2"
		fitSrc.skeletonActName = fitSrc.skeletonActName .. "_fit2"
		specialHandle = false
	end
	return fitSrc
end

function zhugeliang:doFitSkillHitEff(params)
	if not self._isFit2 then
		self:_doNormalFitEff(params)
		return
	end
	local _targets_ = params.targets
	local skillType = params.skillType
	local process = params.process
	local evt = params.evt
	local hurtTargets = params.hurtTargets
	local firstTarget 	= params.firstTarget
	local all_heroes = params.all_heroes
	local fitSrc = params.fitSrc
	local fit_bg = params.fit_bg
	performWithDelay(self, function()
		local _actName = BATTLE_ANIMATION_ACTION.FIT_END
		if self._isFit2 then
			_actName = _actName .. "_A2"
		end
		self:playAction(_actName)
		for k,hero in pairs(_targets_) do
			hero:playAction(_actName)
		end

		local _daocaos = {}
		for k,v in pairs(hurtTargets) do
			-- v:setVisible(false)
			v:getArmature():setOpacity(0)
			local _daocao = zc.battle.createHeroArmatureWithResId("zhugedaocaoren", 0)
			_daocao:setPosition(cc.p(v:getPosition()))
            local animation     = _daocao:getAnimation()
            animation:play("start", -1, 0)
			-- animation:play(BATTLE_ANIMATION_ACTION.IDLE, -1, 1)
		    animation:setMovementEventCallFunc(function(armatureBack,movementType,movementID)
				if movementType == ccs.MovementEventType.complete then
					if movementID == "death0" or movementID == BATTLE_ANIMATION_ACTION.DEATH then
						_daocao:removeFromParent()
					else
						animation:play(BATTLE_ANIMATION_ACTION.IDLE, -1, 1)
					end
				end
		    end)
			if v:getSide() == BATTLE_SIDE.LEFT then
				_daocao:setScaleX(-1*_daocao:getScaleX())
			end
			zc.dispatchEvent({
				name = EVENT_NAME_BATTLE_PLAY_EFFECT,
				data = {node = _daocao , zorder = v:getLocalZOrder()},
			})
			_daocaos[k] = _daocao
		end

		local armature_fit2 = zc.battle.createBattleEffect({fileName = fitSrc.fileName, actName = "Fit2_dimian", autoRemove = true})
	    if self:getSide() == BATTLE_SIDE.RIGHT then
	    	armature_fit2:setScaleX(-1 * armature_fit2:getScaleX())
	    end
		local _position = firstTarget:getBattlePosition()
		if inArray(_position, {1,4,7}) then
			_position = 2
		elseif inArray(_position, {2,5,8}) then
			_position = 5
		else
			_position = 8
		end
    	local _pos = zc.battle.getInitialMatrixPoint({side = firstTarget:getSide(), position = _position})
    	_pos.y = firstTarget:getPositionY()
	    armature_fit2:setPosition(_pos)

		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature_fit2 , zorder = -1},
		})

		local armature_fit2 = zc.battle.createBattleEffect({fileName = fitSrc.fileName, actName = fitSrc.actName, autoRemove = true, completeCallback = function( )						
			zc.dispatchEvent({ name = EVENT_NAME_BATTLE_SCREEN_DIM_DISMISS })
			fit_bg:removeFromParent()
		end})
	    armature_fit2:getAnimation():setFrameEventCallFunc(function ( bone, evt, originFrameIndex, currentFrameIndex)
	    	zc.battle.doShockAndFlash(evt)
	    	--[[每次受击]]
	        if string.find(evt,"hit") then
				self:doAttack({skillType = skillType, process = process, evt = evt})
				for k,v in pairs(hurtTargets) do
					if v:isAlive() then
						_daocaos[k]:getAnimation():play(BATTLE_ANIMATION_ACTION.DEFENSE, -1, 0)
					else	
						_daocaos[k]:getAnimation():play(BATTLE_ANIMATION_ACTION.DEATH, -1, 0)
					end
				end
			elseif string.find(evt,"back") then
				for k,v in pairs(hurtTargets) do
					if v:isAlive() then
						v:getArmature():runAction(cc.FadeTo:create(0.3, 255))
						if _daocaos[k] then
							_daocaos[k]:getAnimation():play("death0", -1, 0)
						end
					end
				end
				self:_endFitSkill(all_heroes, _targets_)
	        end
	    end)
	    if self:getSide() == BATTLE_SIDE.RIGHT then
	    	armature_fit2:setScaleX(-1 * armature_fit2:getScaleX())
	    end
		armature_fit2:setPosition(_pos)

		zc.dispatchEvent({
			name = EVENT_NAME_BATTLE_PLAY_EFFECT,
			data = {node = armature_fit2 , zorder = self:getLocalZOrder() + 30},
		})
	end,0)
end
return zhugeliang